/*
Name: 			Theme Initializer
Written by: 	JanXcode Themes - (http://www.janxcode.com)
Version: 		1.0
*/

(function() {

	"use strict";

	var Theme = {

		initialized: false,

		initialize: function() {

			if (this.initialized) return;
			this.initialized = true;

			this.build();
			this.events();

		},

		build: function() {

			//Items on ready
			this.onReady();
			
			//Items on load
			this.onLoad();			
		
			// Nav Menu
			this.stickyMenu();
			
			//Mobile Menu
			jQuery('#menu-main-menu').slicknav();

			// ScrollTop
			this.scrollTop();

			// Word Rotate
			this.wordAnimate();
			
			// Animation
			this.animation();
			
			// Toggle
			this.toggle();
			
			// Tabs
			this.tabs();	
		
			// Lightbox
			this.prettyPhoto();
			
			// Parallax
			this.parallax();
			
			// Isotope
			this.isotope();
			
			//Counter
			this.counter();

			
			//Alert
			this.alertBox();
			
			//FlipBox
			this.flipbox();

		},

		events: function() {
			
			// Window Resize
			jQuery(window).afterResize(function() {

				// Revolution Slider Fix
				Theme.fixRevolutionSlider();

				// Isotope
				if(jQuery(".isotope").get(0)) {
					jQuery(".isotope").isotope('reLayout');
				}

			});


		},
		
		
		//Items on Ready
		onReady: function(){				
			
			
			jQuery(document).ready(function(){				
				
				
				
				if (jQuery(".select-box").length > 0){
					jQuery(".select-box").selectbox();
				}
				
				
				//Loan Calculator
				
								
				jQuery('.jx-monex-service-content table tr').filter(
				function(){
					return jQuery(this).find('td').length == jQuery(this).find('td:empty').length;
				}).remove();
				
				/*Point of interest */
				//open interest point description
				jQuery('.jx-monex-single-point').children('a').on('click', function(){
					var selectedPoint = jQuery(this).parent('li');
					if( selectedPoint.hasClass('is-open') ) {
						selectedPoint.removeClass('is-open').addClass('visited');
					} else {
						selectedPoint.addClass('is-open').siblings('.jx-monex-point.is-open').removeClass('is-open').addClass('visited');
					}
				});
				
				//close interest point description
				jQuery('.jx-monex-close-info').on('click', function(event){
					event.preventDefault();
					jQuery(this).parents('.jx-monex-single-point').eq(0).removeClass('is-open').addClass('visited');
				});	
				
				
				var words = jQuery(".jx-monex-counter-up-box").text().split("");
					jQuery(".jx-monex-counter-up-box").empty();
					jQuery.each(words, function(i, v) {
						
						if(v==','){
							jQuery(".jx-monex-counter-up-box").append(jQuery("<span class='comma'>").text(v));
						}else{
							jQuery(".jx-monex-counter-up-box").append(jQuery("<span class='jx-monex-counter-up-stat'>").text(v));
						}
					});
					if (jQuery(".jx-monex-counter-up-stat").length > 0){
						jQuery(".jx-monex-counter-up-stat").counterUp({ 
							delay: 10, 
							time: 1000 
						});
					}
					
					
								
				
				//Mobile Menu
				jQuery('.slicknav_nav li.col > ul').children().unwrap();
				//jQuery('.slicknav_nav ul li ul a').children().unwrap();
				jQuery('.submenu .submenu .slicknav_parent > a.slicknav_item').remove();
				jQuery('.submenu .submenu .slicknav_parent > ul').css({'display':'block'});
				
				
				//Mobile Chk
				var isMobile = {
					Android: function() {
						return navigator.userAgent.match(/Android/i);
					},
					BlackBerry: function() {
						return navigator.userAgent.match(/BlackBerry/i);
					},
					iOS: function() {
						return navigator.userAgent.match(/iPhone|iPad|iPod/i);
					},
					Opera: function() {
						return navigator.userAgent.match(/Opera Mini/i);
					},
					Windows: function() {
						return navigator.userAgent.match(/IEMobile/i);
					},
					any: function() {
						return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
					}
				};
				
				if( isMobile.any() ) {
				   jQuery('.jx-monex-rev-slider-holder').removeClass('jx-monex-animate-header');
				}		
				
				//Sidebar
				if( !isMobile.any() ) {
				jQuery('#sidebar').theiaStickySidebar({
						additionalMarginTop: 30
					});	
				};	
			
			});
			
			var $messages = jQuery('.jx-monex-status-message');
			
			//Form validator
			jQuery.validate({
				  modules : 'toggleDisabled',
				  errorMessagePosition : $messages,
				  disabledFormFilter : 'form.toggle-disabled',
				  showErrorDialogs : false
			});	 
			
			
			// Menu Active
			var pgurl = window.location.href.substr(window.location.href.lastIndexOf("/")+1);
				 jQuery(".menu > li").each(function(){
					  if(jQuery(this).find("a").attr("href") == pgurl || jQuery(this).find("a").attr("href") == '' )
					  jQuery(this).addClass("active");
				 });
				 
			
			
			
			//Mailchimp
			jQuery('form#mailchimp').submit(function(e) {
				e.preventDefault();
		
				var successMSG = "<p>You've been added to our sign-up list.<br />We have sent an email, asking you to confirm the same.</p>";
				var errorMSG = "<p>There was an error. Please try again.</p>";
				var invalidEmailMSG = "<p>That does not look like a valid email.</p>";
				var alreadySubscribedMSG = "<p>You have already subscribed to our sign-up list.</p>";
		
				jQuery('.ajax-loader').show();
				jQuery(this).ajaxSubmit({
					success	: function (responseText) {
						if (responseText === 'added') {
							jQuery('form#mailchimp').fadeOut('fast');
							jQuery('#mailchimp-sign-up p').replaceWith(successMSG).fadeIn('slow');
						} else if (responseText === 'already subscribed') {
							jQuery('form#mailchimp').fadeOut('fast');
							jQuery('#mailchimp-sign-up p').replaceWith(alreadySubscribedMSG).fadeIn('slow');
						} else if (responseText === 'invalid email') {
							jQuery('#mailchimp-sign-up p').replaceWith(invalidEmailMSG).fadeIn('slow');
						} else {
							jQuery('#mailchimp-sign-up p').replaceWith(errorMSG).fadeIn('slow');
						}
						jQuery('.ajax-loader').hide();
					},
					url		: ajaxVars.ajaxurl,
					data	: { ajax_nonce : ajaxVars.ajax_nonce, action : 'add_to_mailchimp_list' },
					type	: 'POST',
					timeout	: 50000,
				});
			});
		 
			//Login & Registeration
			jQuery('#pop_login, #pop_signup').live('click', function (e) {
				formToFadeOut = jQuery('form#register');
				formtoFadeIn = jQuery('form#login');
				if (jquery(this).attr('id') == 'pop_signup') {
					formToFadeOut = jQuery('form#login');
					formtoFadeIn = jQuery('form#register');
				}
				formToFadeOut.fadeOut(500, function () {
					formtoFadeIn.fadeIn();
				})
				return false;
			});
		 
			// Close popup
			jQuery(document).on('click', '.login_overlay, .close', function () {
				jQuery('form#login, form#register').fadeOut(500, function () {
					jQuery('.login_overlay').remove();
				});
				return false;
			});
		 
			// Show the login/signup popup on click
			jQuery('.show_login, .show_signup').on('click', function (e) {
				
				if(jQuery('.login_overlay').length > 0){
					
				}else{
				jQuery('body').prepend('<div class="login_overlay"></div>');
				}
				
				if ((jQuery(this).attr('id') == 'show_login_button') || (jQuery(this).attr('id') == 'show_login')) {
					jQuery('form#login').fadeIn(500);
					jQuery('form#register').fadeOut(500);
				}else {
					jQuery('form#register').fadeIn(500);
					jQuery('form#login').fadeOut(500);
				}
				
				e.preventDefault();
			});
		 
			// Perform AJAX login/register on form submit
			jQuery('form#login, form#register').on('submit', function (e) {
			
				e.preventDefault();
				
				//if (!jQuery(this).valid()) return false;
				jQuery('p.status', this).show().text(ajax_login_object.loadingmessage);
				var action = 'ajaxlogin';
				var username = 	jQuery('form#login #username-1').val();
				var password = jQuery('form#login #password-1').val();
				var email = '';
				var security = jQuery('form#login #security').val();
	
				
				
				if (jQuery(this).attr('id') == 'register') {
					action = 'ajaxregister';
					username = jQuery('#signonname-2').val();
					password = jQuery('#signonpassword-2').val();
					email = jQuery('#email-2').val();
					security = jQuery('#signonsecurity').val();	
				}  
				var ctrl = jQuery(this);
				jQuery.ajax({
					type: 'POST',
					dataType: 'json',
					url: ajax_login_object.ajaxurl,
					data: {
						'action': action,
						'username': username,
						'password': password,
						'email': email,
						'security': security
					},
					success: function (data) {
						jQuery('p.status', ctrl).text(data.message);
						if (data.loggedin == true) {
							document.location.href = ajax_login_object.redirecturl;
						}
					}
				});
				
				
				
			});
	
			
		},	
		//Items on windows load
		onLoad: function(){
			
			jQuery(window).on("load",function(){

				"use strict";
				jQuery('.spinner').fadeOut(); // will first fade out the loading animation
				jQuery('.loader').delay(350).fadeOut('slow'); // will fade out the white DIV that covers the website.
				jQuery('body').delay(350).css({'overflow':'visible'});
		
				
							
				
				[].slice.call(document.querySelectorAll('img.tilt-effect')).forEach(function(img) {
					new TiltFx(img, JSON.parse(img.getAttribute('data-tilt-options')));
				});
						

				/* Page Scroll to id fn call */
				jQuery("a[href='#top'],.menu li a").mPageScroll2id({
					highlightSelector:".menu li a"
				});
	
				
				
				/*Flexslider*/
				jQuery('.jx-monex-blog-1 .flexslider,.jx-monex-image-holder .flexslider').flexslider({
					animation: "slide",
					directionNav:false,
					slideshowSpeed:"8000"
				});
				
				/*Flexslider*/
				jQuery('.jx-monex-blog-2 .flexslider').flexslider({
					animation: "slide",
					directionNav:true,
					slideshowSpeed:"8000",
					prevText:'',
					nextText:''
					
				});
				
				/*Service Flexslider*/
				jQuery('.jx-monex-slider.flexslider').flexslider({
					animation: "slide",
					directionNav:false,
					slideshowSpeed:"8000"
				});
				
				
				
				/*Projects Flexslider*/			
				jQuery('.jx-monex-protfolio-details #slider').flexslider({
					animation: "slide",
					directionNav:false,
					slideshowSpeed:"8000"
				});
				
				jQuery('.jx-monex-protfolio-details #carousel').flexslider({
					animation: "slide",
					controlNav: false,
					animationLoop: false,
					slideshow: false,
					itemWidth: 153,
					asNavFor: '#slider',
					prevText:'',
					nextText:''
				  });
				
				
				//Owl Testimonial
				var owl_t = jQuery(".jx-testimonial-1 #testimonials");
     
				  owl_t.owlCarousel({
					  items : 2, //10 items above 1000px browser width
					  itemsDesktop : [1000,2], //5 items between 1000px and 901px
					  itemsDesktopSmall : [900,2], // betweem 900px and 601px
					  itemsTablet: [600,1], //2 items between 600 and 0
					  itemsMobile : false, // itemsMobile disabled - inherit from itemsTablet option	
					  responsive:{
								0:{
									items:1,
									nav:false
								},
								600:{
									items:2,
									nav:false
								},
								1000:{
									items:2
								}
							}
				  });
				  
				   // Custom Navigation Events
				  jQuery(".customNavigation .next").click(function(){
					owl_t.trigger('next.owl.carousel');
				  })
				  jQuery(".customNavigation .prev").click(function(){
					owl_t.trigger('prev.owl.carousel');
				  })

				  //EOF
				  
				  //Partners Slider
				  var owl_p = jQuery(".jx-monex-partnerslide #partner-slider");
     
					  owl_p.owlCarousel({
						  items : 4, //10 items above 1000px browser width
						  itemsDesktop : [1000,4], //5 items between 1000px and 901px
						  itemsDesktopSmall : [900,4], // betweem 900px and 601px
						  itemsTablet: [600,1], //2 items between 600 and 0
						  itemsMobile : false, // itemsMobile disabled - inherit from itemsTablet option
						  dots:false,
						  responsive:{
								0:{
									items:1,
									nav:false
								},
								600:{
									items:2,
									nav:false
								},
								1000:{
									items:4
								}
							}
					  });
					  
					  
					//Exchange rate
					//Partners Slider
				  var owl_e = jQuery("#exrates-slider");
     
					  owl_e.owlCarousel({
						  items : 4, //10 items above 1000px browser width
						  itemsDesktop : [1000,4], //5 items between 1000px and 901px
						  itemsDesktopSmall : [900,4], // betweem 900px and 601px
						  itemsTablet: [600,1], //2 items between 600 and 0
						  itemsMobile : false, // itemsMobile disabled - inherit from itemsTablet option
						  autoplay:true,
						  autoplayTimeout:1000,
						  autoplayHoverPause:true,
						  loop:true,
						  dots:false,
						  responsive:{
								0:{
									items:1,
									nav:false
								},
								600:{
									items:2,
									nav:false
								},
								1000:{
									items:4
								}
							}
					  });

								
								
				});					
			
		},

		stickyMenu: function() {
			//Menu
			 var s = jQuery(".jx-monex-sticky");
    		 var pos = s.position();  
			 var top = s.css('top');
			 var home_slider = jQuery('.jx-monex-slider');
			 var count_down = jQuery('.jx-monex-counting-down');		 
			 var page_titlebar = jQuery('.jx-monex-common_page_header');
			 var page_titlebar_title = jQuery('.jx-monex-page-titlebar .jx-monex-titlebar');

			var count_down_margintop= count_down.css('marginTop');
			 //Page Header
			 var nav_height = s.height();
			 
			 jQuery(window).on("scroll",function() {

				var scroll = getCurrentScroll();
					
				
				if ((s.length >0)){	
				
					if ( scroll >= pos.top+1){
						s.addClass('fixed');
						
						//Home slider
						if (home_slider.length > 0){
							//home_slider.css({'marginTop':nav_height});
							count_down.css({'marginTop':count_down_margintop+nav_height});
						}
						
						//Page titlebar
						if (page_titlebar.length > 0){
							page_titlebar.css({'marginTop':nav_height});
							//page_titlebar_title.css({'paddingTop':'29px'});
						}
						
					}else{
						s.removeClass('fixed');
						
						//Home slider
						if (home_slider.length > 0){
							//home_slider.css({'marginTop':0});
							count_down.css({'marginTop':count_down_margintop+0});
						}
						
						//Page titlebar
						if (page_titlebar.length > 0){
							page_titlebar.css({'marginTop':0});
							//page_titlebar_title.css({'paddingTop':'29px'});
						}
					}
				  
				 }
				 
				
			});
			
		
			function getCurrentScroll() {
				return window.pageYOffset || document.documentElement.scrollTop;
			}
			
		},
		
		animation:function(){

			// Animation Appear
			jQuery("[data-appear-animation]").each(function($) {

				var $this = $(this);

				$this.addClass("appear-animation");

				if(!$("html").hasClass("no-csstransitions") && $(window).width() > 767) {

					$this.appear(function() {

						var delay = ($this.attr("data-appear-animation-delay") ? $this.attr("data-appear-animation-delay") : 1);

						if(delay > 1) $this.css("animation-delay", delay + "ms");
						$this.addClass($this.attr("data-appear-animation"));

						setTimeout(function() {
							$this.addClass("appear-animation-visible");
						}, delay);

					}, {accX: 0, accY: -150});

				} else {

					$this.addClass("appear-animation-visible");

				}

			});
			
			
			//Sill Bar
			// Animation Progress Bars
			jQuery("[data-progress-animate]").each(function() {

				var $this = jQuery(this);

				$this.appear(function() {

					var delay = ($this.attr("data-appear-animation-delay") ? $this.attr("data-appear-animation-delay") : 1);

					if(delay > 1) $this.css("animation-delay", delay + "ms");
					$this.addClass($this.attr("data-appear-animation"));

					setTimeout(function() {

						$this.animate(
						{
							width: $this.attr("data-progress-animate")
						}, 1500, "easeOutQuad", function() {
							$this.find(".percenttext").animate({opacity: 1,left:$this.attr("data-progress-animate")}, 500, "easeOutQuad");
						});

					}, delay);

				}, {accX: 0, accY: -50});

			});
			
			
			//circle Progressbar			
			jQuery('.circliful').appear();
			
		},

		fixRevolutionSlider: function() {

			jQuery(".revslider-initialised").each(function() {
				try{
					$(this).revredraw();
				} catch(e) {}
			});

		},
		
		scrollTop: function(){
		
			jQuery.scrollUp({
						scrollName: 'scrollUp', // Element ID
						scrollDistance: 300, // Distance from top/bottom before showing element (px)
						scrollFrom: 'top', // 'top' or 'bottom'
						scrollSpeed: 300, // Speed back to top (ms)
						easingType: 'linear', // Scroll to top easing (see http://easings.net/)
						animation: 'fade', // Fade, slide, none
						animationInSpeed: 200, // Animation in speed (ms)
						animationOutSpeed: 200, // Animation out speed (ms)
						scrollTitle: false, // Set a custom <a> title if required. Defaults to scrollText
						scrollImg: false, // Set true to use image
						activeOverlay: false, // Set CSS color to display scrollUp active point, e.g '#00FFFF'
						zIndex: 2147483647 // Z-Index for the overlay
					});
					
			jQuery(function($){
				jQuery('.destroy').on("click",function($){
					$.scrollUp.destroy();
				})
			});			
			
		},
		wordAnimate: function(){
		//set animation timing
			var animationDelay = 2500,
				//loading bar effect
				barAnimationDelay = 3800,
				barWaiting = barAnimationDelay - 3000, //3000 is the duration of the transition on the loading bar - set in the scss/css file
				//letters effect
				lettersDelay = 50,
				//type effect
				typeLettersDelay = 150,
				selectionDuration = 500,
				typeAnimationDelay = selectionDuration + 800,
				//clip effect 
				revealDuration = 600,
				revealAnimationDelay = 1500;
			
			initHeadline();
			
		
			function initHeadline() {
				//insert <i> element for each letter of a changing word
				singleLetters(jQuery('.jx-monex-headline.letters').find('b'));
				//initialise headline animation
				animateHeadline(jQuery('.jx-monex-headline'));
			}
		
			function singleLetters($words) {
				$words.each(function(){
					var i;
					var word = jQuery(this),
						letters = word.text().split(''),
						selected = word.hasClass('is-visible');
					for (i in letters) {
						if(word.parents('.rotate-2').length > 0) letters[i] = letters[i];
						letters[i] = (selected) ? '<i class="in">' + letters[i] + '</i>': '<i>' + letters[i] + '</i>';
					}
					var newLetters = letters.join('');
					word.html(newLetters).css('opacity', 1);
				});
			}
		
			function animateHeadline($headlines) {
				var duration = animationDelay;
				$headlines.each(function(){
					var headline = jQuery(this);
					
					if(headline.hasClass('loading-bar')) {
						duration = barAnimationDelay;
						setTimeout(function(){ headline.find('.jx-monex-words-wrapper').addClass('is-loading') }, barWaiting);
					} else if (headline.hasClass('clip')){
						var spanWrapper = headline.find('.jx-monex-words-wrapper'),
							newWidth = spanWrapper.width() + 10
						spanWrapper.css('width', newWidth);
					} else if (!headline.hasClass('type') ) {
						//assign to .jx-monex-words-wrapper the width of its longest word
						var words = headline.find('.jx-monex-words-wrapper b'),
							width = 0;
						words.each(function(){
							var wordWidth = jQuery(this).width();
							if (wordWidth > width) width = wordWidth;
						});
						headline.find('.jx-monex-words-wrapper').css('width', width);
					};
		
					//trigger animation
					setTimeout(function(){ hideWord( headline.find('.is-visible').eq(0) ) }, duration);
				});
			}
		
			function hideWord($word) {
				var nextWord = takeNext($word);
				
				if($word.parents('.jx-monex-headline').hasClass('type')) {
					var parentSpan = $word.parent('.jx-monex-words-wrapper');
					parentSpan.addClass('selected').removeClass('waiting');	
					setTimeout(function(){ 
						parentSpan.removeClass('selected'); 
						$word.removeClass('is-visible').addClass('is-hidden').children('i').removeClass('in').addClass('out');
					}, selectionDuration);
					setTimeout(function(){ showWord(nextWord, typeLettersDelay) }, typeAnimationDelay);
				
				} else if($word.parents('.jx-monex-headline').hasClass('letters')) {
					var bool = ($word.children('i').length >= nextWord.children('i').length) ? true : false;
					hideLetter($word.find('i').eq(0), $word, bool, lettersDelay);
					showLetter(nextWord.find('i').eq(0), nextWord, bool, lettersDelay);
		
				}  else if($word.parents('.jx-monex-headline').hasClass('clip')) {
					$word.parents('.jx-monex-words-wrapper').animate({ width : '2px' }, revealDuration, function(){
						switchWord($word, nextWord);
						showWord(nextWord);
					});
		
				} else if ($word.parents('.jx-monex-headline').hasClass('loading-bar')){
					$word.parents('.jx-monex-words-wrapper').removeClass('is-loading');
					switchWord($word, nextWord);
					setTimeout(function(){ hideWord(nextWord) }, barAnimationDelay);
					setTimeout(function(){ $word.parents('.jx-monex-words-wrapper').addClass('is-loading') }, barWaiting);
		
				} else {
					switchWord($word, nextWord);
					setTimeout(function(){ hideWord(nextWord) }, animationDelay);
				}
			}
		
			function showWord($word, $duration) {
				if($word.parents('.jx-monex-headline').hasClass('type')) {
					showLetter($word.find('i').eq(0), $word, false, $duration);
					$word.addClass('is-visible').removeClass('is-hidden');
		
				}  else if($word.parents('.jx-monex-headline').hasClass('clip')) {
					$word.parents('.jx-monex-words-wrapper').animate({ 'width' : $word.width() + 10 }, revealDuration, function(){ 
						setTimeout(function(){ hideWord($word) }, revealAnimationDelay); 
					});
				}
			}
		
			function hideLetter($letter, $word, $bool, $duration) {
				$letter.removeClass('in').addClass('out');
				
				if(!$letter.is(':last-child')) {
					setTimeout(function(){ hideLetter($letter.next(), $word, $bool, $duration); }, $duration);  
				} else if($bool) { 
					setTimeout(function(){ hideWord(takeNext($word)) }, animationDelay);
				}
		
				if($letter.is(':last-child') && jQuery('html').hasClass('no-csstransitions')) {
					var nextWord = takeNext($word);
					switchWord($word, nextWord);
				} 
			}
		
			function showLetter($letter, $word, $bool, $duration) {
				$letter.addClass('in').removeClass('out');
				
				if(!$letter.is(':last-child')) { 
					setTimeout(function(){ showLetter($letter.next(), $word, $bool, $duration); }, $duration); 
				} else { 
					if($word.parents('.jx-monex-headline').hasClass('type')) { setTimeout(function(){ $word.parents('.jx-monex-words-wrapper').addClass('waiting'); }, 200);}
					if(!$bool) { setTimeout(function(){ hideWord($word) }, animationDelay) }
				}
			}
		
			function takeNext($word) {
				return (!$word.is(':last-child')) ? $word.next() : $word.parent().children().eq(0);
			}
		
			function takePrev($word) {
				return (!$word.is(':first-child')) ? $word.prev() : $word.parent().children().last();
			}
		
			function switchWord($oldWord, $newWord) {
				$oldWord.removeClass('is-visible').addClass('is-hidden');
				$newWord.removeClass('is-hidden').addClass('is-visible');
			}	
		},
		
		toggle: function(){
			
			//jQuery('#accordion-1 [data-accordion],#accordion-2 [data-accordion],#accordion-3 [data-accordion],#accordion-4 [data-accordion]').accordion();
			
			jQuery('.accordion [data-accordion]').accordion({
			  singleOpen: true
			});
			
			jQuery('.accordion-open [data-accordion]').accordion({
			  singleOpen: false
			});
			
			jQuery(".isotope").isotope('reLayout');

			
		},
		tabs:function(){
			
		 jQuery('#verticalTab-1').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 

		 jQuery('#verticalTab-2').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 
		 jQuery('#verticalTab-3').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 
		jQuery('#verticalTab-4').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 jQuery('#verticalTab-5').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 jQuery('#verticalTab-6').easyResponsiveTabs({ 
			type: 'vertical', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 jQuery('#horizontalTab-1').easyResponsiveTabs({ 
			type: 'default', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 });
		 
		 jQuery('#horizontalTab-2').easyResponsiveTabs({ 
			type: 'default', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		  jQuery('#horizontalTab-3').easyResponsiveTabs({ 
			type: 'default', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 });
		 
		 jQuery('#horizontalTab-4').easyResponsiveTabs({ 
			type: 'default', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		 jQuery('#horizontalTab-5').easyResponsiveTabs({ 
			type: 'default', //Types: default, vertical, accordion 
			width: 'auto', //auto or any width like 600px 
			fit: true, // 100% fit in a container 
			closed: 'accordion', // Start closed if in accordion view 
			 
		 }); 
		 
		
		},	
		prettyPhoto: function(){
			
		var prettyPhoto_parameters = {
					animation_speed: 'fast',
					slideshow: true, /* false OR interval time in ms */
					theme:'facebook',
					opacity: 1,
					show_title:true, /* true/false */
					allow_resize: true, /* Resize the photos bigger than viewport. true/false */
					default_width: 920,
					default_height: 540,
				   counter_separator_label: '/', /* The separator for the gallery counter 1 "of" 2 */
					hideflash: false, /* Hides all the flash object on a page, set to TRUE if flash appears over prettyPhoto */
					wmode: 'opaque', /* Set the flash wmode attribute */
					autoplay: true, /* Automatically start videos: True/False */
					modal: false, /* If set to true, only the close button will close the window */
					overlay_gallery: true
				};	
				
						
					jQuery('a[href$=jpg], a[href$=JPG], a[href$=jpeg], a[href$=JPEG], a[href$=png], a[href$=gif], a[href$=bmp]:has(img),a[class^="prettyPhoto"],a[data-rel^="prettyPhoto"]').prettyPhoto(prettyPhoto_parameters);
	
				
				jQuery('a[class^="prettyPhoto"],a[data-rel^="prettyPhoto"]').prettyPhoto(prettyPhoto_parameters); //prettyPhoto_parameters	
			
		},
		
		parallax: function(){
		
		jQuery('.parallax,.jx-monex-page-header-parallax').scrolly({bgParallax: true});
			
		},
		
		isotope: function(){
		
			jQuery(window).on("load",function(){
			
			
			// Grid Box Portfolio
			var $container_1 = jQuery('.jx-monex-portfolio-container');		
			
			$container_1.isotope({
				itemSelector: '.portfolio-item',
				layoutMode: 'fitRows',
			  });
		 
			jQuery('.jx-monex-portfolio-filter a').on("click",function(){
				jQuery('.jx-monex-portfolio-filter .current').removeClass('current');
				jQuery(this).addClass('current');
		 
				var selector = jQuery(this).attr('data-filter');
				$container_1.isotope({
					itemSelector: '.portfolio-item',
					filter: selector,
					layoutMode: 'fitRows',
				 });
				 return false;
			});	
			
			
			
			});	
			
			
		
		},
		
		counter: function(){
		
			
			if (jQuery('.jx-monex-count-up').length >0){
				jQuery(".jx-monex-count-up").counterUp({ 
					delay: 10, 
					time: 1000 
				});
			}
		
		},

	
		alertBox: function(){
						
		jQuery('.jx-monex-close').on("click",function($) { 
			jQuery(this).parent().hide(); 
			}); 
		},
		
		flipbox: function(){
		
			jQuery('.jx-monex-flipbox .hover').hover(function(){
				jQuery(this).addClass('flip');
			},function(){
				jQuery(this).removeClass('flip');
			});
			
		},
		

	};

	Theme.initialize();

})();