<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package monex
 */
get_header(); ?>
	<?php
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
		$cols_width='col-sm-8 col-md-12';
		$sidebar_display='display:none';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left left';
		$sidebar_class = 'sidebar-right right';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right right';
		$sidebar_class = 'sidebar-left left';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif ( (get_post_meta(get_the_ID(),'monex_sidebar', true) == 'default') || (get_post_meta(get_the_ID(),  'monex_sidebar', true) == '') ) {
		if( $monex_data['sidebar_position'] == 'no-sidebar' ) {
			$content_class = 'has-no-sidebar';
			$sidebar_class = 'no-sidebar';
			$content_width ='';
			$cols_width='col-sm-8 col-md-12';
			$sidebar_display='display:none';
		} elseif( $monex_data['sidebar_position'] == 'right-sidebar' ) {
			$content_class = 'content-left left';
			$sidebar_class = 'sidebar-right right';
			$content_width ='with-sidebar';
			$cols_width='col-sm-8 col-md-9';
			$sidebar_width='col-sm-4 col-md-3';
		} elseif( $monex_data['sidebar_position'] == 'left-sidebar' ) {
			$content_class = 'content-right right';
			$sidebar_class = 'sidebar-left eft';
			$content_width ='with-sidebar';
			$cols_width='col-sm-8 col-md-9';
			$sidebar_width='col-sm-4 col-md-3';
		}
	}
	
	$bg_color='';
	
	if (get_post_meta(get_the_ID(),'monex_body_bg_color', true)!=''):
		$bg_color='style="background-color:'.get_post_meta(get_the_ID(),'monex_body_bg_color', true).'"';
	else:
		$bg_color='';
	endif;
	
	?>
    <main id="main" class="site-main" <?php echo $bg_color; ?>>    
		<div id="primary" class="content-area">
            <div class="container <?php echo $content_width; ?>">
                    <div class="<?php echo $cols_width ?> <?php echo $content_class; ?>">
                                        
					<?php while ( have_posts() ) : the_post(); ?>
        
                        <?php get_template_part( 'template-parts/content', 'page' ); ?>
        
        				<?php wp_link_pages(array('before'=>'<div class="post-pages">'.esc_html__('Pages:','monex'),'after'=>'</div>')); ?>
                        
                        <?php
                            // If comments are open or we have at least one comment, load up the comment template.
                            if ( comments_open() || get_comments_number() ) :
                                comments_template();
                            endif;
                        ?>
        
                    <?php endwhile; // End of the loop. ?>
                
                </div>
                <!-- EOF Body Content -->
                
                <?php if ( is_active_sidebar( 'monex-general-sidebar' ) ) : ?>
                <div id="sidebar" class="<?php echo $sidebar_width; ?> <?php echo $sidebar_class; ?>" style="<?php echo $sidebar_display; ?>">    
                    <div class="theiaStickySidebar">
                        <?php dynamic_sidebar( 'monex-general-sidebar' ); ?>
                    </div>
                </div>
                <?php endif;?>
                <!-- EOF sidebar -->
                
            </div>
            <!-- EOF container -->
        </div><!-- #primary -->
    </main><!-- #main -->
    
<?php get_footer(); ?>
