<?php
/**
 * The template for displaying all single portfolio.
 *
 * @package monex
 */
get_header();
global $data, $post;
$parentId = $post->post_parent;
$prev_post = get_previous_post();
$next_post = get_next_post();
 ?>
	<div id="primary" class="content-area">
        <div class="jx-monex-container jx-monex-padding">
        	<div class="container">
            	<!-- Project Nav -->
                <div class="sixteen columns">
                    <div class="jx-monex-project-nav">
                        <div class="jx-monex-project-title left"><?php the_title(); ?></div>
                        <div class="jx-monex-project-nav-icons right">
                        <ul>
                            <li><a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>"><i class="fa fa-chevron-left"></i></a></li>
                            <li><a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>"><i class="fa fa-chevron-right"></i></a></li>
                        </ul>
                        </div>
                        
                    </div>
                </div>
            	<!-- EOF Project Nav -->
                
                <?php 
					$images_url='';					
					$images = rwmb_meta( 'monex_project_photos', 'type=image_advanced' );
					$logo_images = rwmb_meta( 'monex_partners_logo', 'type=image_advanced' );			
				?>
            	<!-- Portfolio Slider-->
                <div class="eleven columns">               		
                   <div class="jx-monex-protfolio-details">                            
                	<div id="slider" class="flexslider">
                    	<ul class="slides">
                        	<?php 
							foreach ( $images as $image ){
								$images_url=$image['full_url'];
								$images_big_size = str_replace('.jpg', '-805x369.jpg', $images_url);
								?>
								<li><img src="<?php echo esc_url($images_big_size); ?>" alt=""></li>
                            <?php 
							}
							?>
                        </ul>
                    </div>
                    
                    <div id="carousel" class="flexslider">
                    	<ul class="slides">
                        	<?php 
							foreach ( $images as $image_small ){
								$images_small_url=$image_small['full_url'];
								$images_small_size = str_replace('.jpg', '-210x160.jpg', $images_small_url);
								?>
								<li><img src="<?php echo esc_url($images_small_size); ?>" alt=""></li>
                            <?php 
							}
							?>
                        </ul>
                    </div>
                    
               </div>                       
           		</div>
           		<!-- EOF Portfolio Slider-->
                
                <!-- Project Details -->
                <div class="five columns">
                	<div class="jx-monex-portfolio-short-details">
                    	
                        <div class="jx-monex-section-title-2">
                            <div class="jx-monex-title jx-monex-uppercase small-text"><?php echo esc_html_e('Project Description','monex'); ?></div>
                            <div class="jx-monex-seperator-hr"></div>
                        </div>
                        <!-- Section title -->
                         
                        <p>
                        <?php echo $post->post_content; ?>
                        </p>
                    </div>
                    
                    <div class="jx-monex-portfolio-details-box">
                    	<div class="jx-monex-section-title-2">
                            <div class="jx-monex-title jx-monex-uppercase small-text"><?php echo esc_html_e('Details','monex'); ?></div>
                            <div class="jx-monex-seperator-hr"></div>
                        </div>
                        <!-- Section title -->
                        
                        <ul class="project-description-list">
                        	<li><?php echo esc_html_e('Client:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_project_client',true);?></span></li>
                            <li><?php echo esc_html_e('Value:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_projet_value',true);?></span></li>
                            <li><?php echo esc_html_e('Location:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_project_location',true);?></span></li>
                            <li><?php echo esc_html_e('Area:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_project_area',true);?><sup>><?php echo esc_html_e('2','monex'); ?></sup></span></li>
                            <li><?php echo esc_html_e('Contractor:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_project_contractor',true);?></span></li>
                            <li><?php echo esc_html_e('Completed Year:','monex'); ?><span><?php echo get_post_meta(get_the_ID(),'monex_project_year',true);?></span></li>                        
                        </ul>
                    </div> 
                </div>
                <!-- EOF Project Details -->
                <div class="row"></div>
                <div class="sixteen columns">
                	<div class="jx-monex-partner-logo">
                 
                 	<div class="jx-monex-section-title-2">
                        <div class="jx-monex-title jx-monex-uppercase small-text"><?php echo esc_html_e('Project Partners','monex'); ?></div>
                        <div class="jx-monex-seperator-hr"></div>
               		</div>
                
                     <ul>
                        <?php 
							foreach ( $logo_images as $logo_image ){
								$logo_url=$logo_image['full_url'];
								?>
								<li><img src="<?php echo esc_url($logo_url); ?>" alt=""></li>
                            <?php 
							}
							?>
                     </ul>
                 </div>
                </div>
            </div>
        </div>
	</div><!-- #primary -->
<?php get_footer(); ?>
