<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package monex
 */
$monex_data =  jx_monex_globals();
get_header(); ?>
	<?php
	$monex_data =  jx_monex_globals();
	
	$content_class = '';
	$sidebar_class = '';
	$sidebar_display='';
	$sidebar_width='';
	$content_width ='';
	
	if(get_post_meta(get_the_ID(), 'monex_sidebar', true) == 'no-sidebar') {
		$content_class = 'has-no-sidebar';
		$sidebar_class = 'no-sidebar';
		$content_width ='';
		$cols_width='col-sm-8 col-md-12';
		$sidebar_display='display:none';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'right-sidebar') {
		$content_class = 'content-left left';
		$sidebar_class = 'sidebar-right right';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif (get_post_meta(get_the_ID(),  'monex_sidebar', true) == 'left-sidebar') {
		$content_class = 'content-right right';
		$sidebar_class = 'sidebar-left left';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
	} elseif ( (get_post_meta(get_the_ID(),'monex_sidebar', true) == 'default') || (get_post_meta(get_the_ID(),  'monex_sidebar', true) == '') ) {
		if( $monex_data['sidebar_position'] == 'no-sidebar' ) {
			$content_class = 'has-no-sidebar';
			$sidebar_class = 'no-sidebar';
			$content_width ='';
			$cols_width='col-sm-8 col-md-12';
			$sidebar_display='display:none';
		} elseif( $monex_data['sidebar_position'] == 'right-sidebar' ) {
			$content_class = 'content-left left';
		$sidebar_class = 'sidebar-right right';
		$content_width ='with-sidebar';
		$cols_width='col-sm-8 col-md-9';
		$sidebar_width='col-sm-4 col-md-3';
		} elseif( $monex_data['sidebar_position'] == 'left-sidebar' ) {
			$content_class = 'content-right right';
			$sidebar_class = 'sidebar-left left';
			$content_width ='with-sidebar';
			$cols_width='col-sm-8 col-md-9';
			$sidebar_width='col-sm-4 col-md-3';
		}
	}
	
	?>
    <div id="main" class="middle_container">	
            <div class="container <?php echo $content_width; ?>">
                <div class="row">
                    <div class="<?php echo $cols_width ?> <?php echo $content_class; ?>"> 
                        <?php while ( have_posts() ) : the_post(); ?>
                
                            <?php get_template_part( 'template-parts/content', 'single' ); ?>
                        
                            
                            <?php
                            //Get Share Box                        
                            if ($monex_data['checkbox_sharebox']):			
                            get_template_part('inc/sharebox');
                            endif;
                            //End of Share Box
                            ?>
                                <hr>
                                
                                <?php 
							
							$authordesc = get_the_author_meta( 'user_description' );
							
							if( ! empty ( $authordesc )): ?>
                             <div class="jx-monex-author-box jx-monex-border-thick clearfix">
                                
                                <div class="jx-monex-author-image">
                                <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta( 'ID' ))); ?>"><?php echo get_avatar( get_the_author_meta('user_email'), '100', '' ); ?></a>
                                </div>
                                
                                <div class="jx-monex-author-details">
                                    <div class="jx-monex-author-name jx-monex-black"><a href="<?php esc_url(the_author_link()); ?>"> <?php the_author(); ?> </a></div>
                                    <div class="jx-monex-author-details"><?php echo $authordesc; ?></div>
                                </div>
                                
                                
                            </div>
							<?php endif; ?> 
                            <div class="space30"></div>
                            
                            
                            <?php 
                            //Get Related Posts 
                            if ($monex_data['checkbox_relatedposts']):
                            get_template_part('inc/related_posts');
                            endif;
                            //End of related posts
                            ?>
                            
                            <div class="space30"></div>
                			
                            <?php wp_link_pages(array('before'=>'<div class="post-pages">'.esc_html__('Pages:','monex'),'after'=>'</div>')); ?>
                            
                            <?php
                                if($monex_data['checkbox_comments']):
                                    // If comments are open or we have at least one comment, load up the comment template.
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif;
                                endif;							
                            ?>
                
                        <?php endwhile; // End of the loop. ?>
                        
                        
                    </div>
                    <!-- EOF Body Content -->
                    <?php if ( is_active_sidebar( 'monex-general-sidebar' ) ) : ?>
                    <div id="sidebar" class="<?php echo $sidebar_width; ?> <?php echo $sidebar_class; ?>" style="<?php echo $sidebar_display; ?>">
                        <div class="theiaStickySidebar">
						<?php dynamic_sidebar( 'monex-general-sidebar' ); ?>
                        </div>
                    </div>
                    <?php endif; ?>
                    <!-- EOF sidebar -->
                </div>                
            </div>
            <!-- EOF container -->
    </div><!-- #main -->
<?php get_footer(); ?>
