<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package monex
 */
 
 $monex_data =  jx_monex_globals();	
 
 $monex_data['checkbox_slideshow']=true;
 $monex_data['text_slideshow_count']=2;
 $image_size ='monex_blog';
 
 	switch(get_post_format()) {
		case 'link':
			$format_post_class = 'link';
			break;
		case 'image':
			$format_post_class = 'photo';
			break;
		case 'quote':
			$format_post_class = 'quote-left';
			break;
		case 'video':
			$format_post_class = 'video-camera';
			break;
		case 'audio':
			$format_post_class = 'volume-up';
			break;
		case 'Aside':
			$format_post_class = 'comments';
			break;
		default:
			$format_post_class = 'file-text-o';
			break;
	}
	$post_tags = wp_get_post_tags($post->ID);	
	
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class('jx-monex-blog'); ?>>
               
        <div class="jx-monex-blog-item jx-blog-large">                                
            <div class="jx-monex-image-holder">
            
                <div class="flexslider">
                    <ul class="slides">
                        <?php  if(get_post_meta( get_the_ID(), 'monex_video_code', true )): // Video Post ?>
                            <li>
                                <div class="jx-monex-blog-image jx-monex-image-wrapper">
                                <div class="full-video">
                                    <div class="full-widthvideo">
                                    <?php 
                                        global $wp_embed;
                                        
                                        $post_embed = $wp_embed->run_shortcode('[embed height="330"]'.get_post_meta(get_the_ID(), 'monex_video_code', true).'[/embed]');															
                                        echo $post_embed;
                                     ?>
                                     <div class="jx-monex-image-hoverlay"></div>
                                     <div class="jx-monex-blog-btns-hover">
                                        
                                        <span class="jx-monex-btn-link"><a href="<?php esc_url(the_permalink()); ?>" data-rel="prettyPhoto"><i class="fa fa-link"></i></a></span>
                                    </div>
                                                                                                        
                                    </div><!-- EOF full-widthvideo-->
                                </div><!-- EOF full-video-->
    
                                </div>
                            </li>
                       <?php endif;?>                                     
                       <?php if(has_post_thumbnail()): // Start of featuered image ?>
                      
                             <li>
                                <div class="jx-monex-blog-image jx-monex-image-wrapper">
                             <?php 
                                $post_image_id = get_post_thumbnail_id(get_the_id());
                                $image_url = wp_get_attachment_image_src($post_image_id, 'large');
                                $image_small = wp_get_attachment_image_src($post_image_id, $image_size);
                                $image_data = wp_get_attachment_metadata($post_image_id);
                                  the_post_thumbnail($image_size); ?>
                                  
                                  <div class="jx-monex-image-hoverlay"></div>
                                  
                                  <div class="jx-monex-blog-btns-hover">
                                    <span class="jx-monex-btn-scale"><a href="<?php echo esc_url($image_url[0]); ?>" data-rel="prettyPhoto"><i class="fa fa-search"></i></a></span>
                                    <span class="jx-monex-btn-link"><a href="<?php esc_url(the_permalink()); ?>" data-rel="prettyPhoto"><i class="fa fa-link"></i></a></span>
                                </div>
                                  
                                 </div>
                            </li> 
                       
                       <?php endif;?>                                     
                       <?php if(kd_mfi_get_featured_image_id('featured-image-2', 'post')): ?>
                       <?php
                                                                
                            $i = 2;
                            while($i <= $monex_data['text_slideshow_count'] ):
                            $attachment_id = kd_mfi_get_featured_image_id('featured-image-'.$i, 'post');
                            
                            echo'<li><div class="jx-monex-blog-image jx-monex-image-wrapper">';
                            
                            if($attachment_id):
                            $image_url = wp_get_attachment_image_src($attachment_id, 'large');
                            $image_small = wp_get_attachment_image_src($attachment_id, $image_size);
                            $image_data = wp_get_attachment_metadata($attachment_id);
                          
                            ?>									
                        
                            <img src="<?php echo esc_url($image_small[0]); ?>" alt="<?php echo esc_attr($image_data['image_meta']['title']); ?>" />									
                            <div class="jx-monex-image-hoverlay"></div>
                            <div class="jx-monex-blog-btns-hover">
                                <span class="jx-monex-btn-scale"><a href="<?php echo esc_url($image_url[0]); ?>" data-rel="prettyPhoto"><i class="fa fa-search"></i></a></span>
                                <span class="jx-monex-btn-link"><a href="<?php esc_url(the_permalink()); ?>" data-rel="prettyPhoto"><i class="fa fa-link"></i></a></span>
                            </div>
                                
                        <?php
                            echo'</div></li>';
                        
                            endif; $i++;
                        endwhile;
                            
                        ?>
                        
                        
                       <?php endif; // End of slideshow ?>                                  
                    </ul>
                </div>
            
            </div>
            <!-- EOF Blog Image -->
            
            <div class="jx-monex-blog-title-metabox">
                <div class="jx-monex-date">
                    <a href="<?php echo esc_url( get_permalink()); ?>"><div class="day"><?php echo get_the_time('d', $post); ?></div>
                    <div class="month"><?php echo get_the_time('M', $post); ?></div></a>
                </div>                            
                <div class="jx-monex-titlesec">
                    <div class="jx-monex-title"><a href="<?php echo esc_url( get_permalink()); ?>"><?php echo the_title(); ?></a></div>
                    <div class="jx-monex-blog-meta">
                    <ul>
                        <li class="jx-monex-author">
                            <div class="jx-author-label jx-meta-label"><?php esc_html_e('Author','monex');?></div>
                            <div class="jx-author jx-meta-value"><?php the_author() ?></div>
                        </li>
                        <li class="jx-monex-comments">
                            <div class="jx-comments-label jx-meta-label"><?php esc_html_e('Comments','monex');?></div>
                            <div class="jx-comments jx-meta-value"><?php comments_number(esc_html__('0 Comments', 'monex'), esc_html__('1 Comment', 'monex'), '(%) '.esc_html__('Comments', 'monex'));?></div>
                        </li>
                        <li class="jx-monex-category">
                            <div class="jx-category-label jx-meta-label"><?php esc_html_e('Category','monex');?></div>
                            <div class="jx-category jx-meta-value"><?php the_category(' , ') ?></div>					
                        </li>
                        <?php if(!empty($post_tags)) { ?>
                        <li class="jx-monex-Tag">
                            <div class="jx-tag-label jx-meta-label"><?php esc_html_e('Tag','monex');?></div>
                            <div class="jx-tag jx-meta-value"><?php the_tags( '', ', ' ); ?></div>
                        </li>
                        <?php } ?>                                    
                    </ul>
                </div>
                </div>                    
            </div>
            <!-- EOF Title -->
            
            <div class="jx-monex-description">
            <p>
                <?php echo the_excerpt(); ?>
            </p>
            </div>
            <!-- EOF Description -->
            
            <div class="jx-monex-blog-more">
                <a href="<?php echo esc_url( get_permalink()); ?>"><i class="fa fa-file-text-o"></i><?php esc_html_e('Read More..','monex'); ?></a>
            </div>
            <!-- EOF Readmore--> 
            <div class="space70"></div>                   
    	</div>
        <!-- Item 01 -->
                 
    </div>
    <!-- EOF Blog -->

