<?php
/**
 * Comparison Table Widget
 */

namespace Elementor;
class Tryo_Comparison extends Widget_Base {

	public function get_name() {
        return 'Tryo_Comparison';
    }

	public function get_title() {
        return __( 'Comparison Table', 'tryo-toolkit' );
    }

	public function get_icon() {
        return 'eicon-table';
    }

	public function get_categories() {
        return [ 'tryo-elements' ];
	}
	protected function _register_controls() {

        $this->start_controls_section(
			'Tryo_Comparison',
			[
				'label' => __( 'Comparison Control', 'tryo-toolkit' ),
				'tab' => Controls_Manager::TAB_CONTENT,
			]
		);

        $this->add_control(
            'title',
            [
                'label' => esc_html__('Comparison Title List', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name'	=> 'title_text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Packages', 'tryo-toolkit'),
					],
                ],
            ]
        );

        $this->add_control(
            'title_content1',
            [
                'label' => esc_html__('Comparison List One', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content2',
            [
                'label' => esc_html__('Comparison List Two', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content3',
            [
                'label' => esc_html__('Comparison List Three', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content4',
            [
                'label' => esc_html__('Comparison List Four', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content5',
            [
                'label' => esc_html__('Comparison List Five', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content6',
            [
                'label' => esc_html__('Comparison List Six', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content7',
            [
                'label' => esc_html__('Comparison List Seven', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content8',
            [
                'label' => esc_html__('Comparison List Eight', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content9',
            [
                'label' => esc_html__('Comparison List Nine', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );
        $this->add_control(
            'title_content10',
            [
                'label' => esc_html__('Comparison List Ten', 'tryo-toolkit'),
                'type' => Controls_Manager::REPEATER,
                'separator' => 'before',
                'fields' => [
                    [
						'name' => 'content_type',
						'label' => __( 'Type', 'tryo-toolkit' ),
						'type' => Controls_Manager::SELECT,
						'default' => 'flat-icon',
						'options' => [
							'icon'  => __( 'Icon', 'tryo-toolkit' ),
							'text' => __( 'Text', 'tryo-toolkit' ),
						],
                    ],
                    [
						'name'	=> 'text',
						'label' => __( 'Text', 'tryo-toolkit' ),
                        'type' => Controls_Manager::TEXT,
                        'default' => __('Control payout timing', 'tryo-toolkit'),
                        'condition' => [
							'content_type' => 'text',
						]
                    ],
                    [
                        'name' => 'icon',
                        'label' => __( 'Icon', 'tryo-toolkit' ),
						'type' => Controls_Manager::ICON,
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                    [
                        'name' => 'icon_background_color',
                        'label' => __( 'Icon Background Color', 'tryo-toolkit' ),
                        'type' => Controls_Manager::COLOR,
                        'selectors' => [
                            '{{WRAPPER}} {{CURRENT_ITEM}}' => 'background-color: {{VALUE}}'
                        ],
						'condition' => [
							'content_type' => 'icon',
						]
                    ],
                ],
            ]
        );

        $this->end_controls_section();

    }

	protected function render() {

        $settings = $this->get_settings_for_display();

        $title_array = $settings['title'];
        $content_array_one = $settings['title_content1'];
        $content_array_two = $settings['title_content2'];
        $content_array_three = $settings['title_content3'];
        $content_array_four = $settings['title_content4'];
        $content_array_five = $settings['title_content5'];
        $content_array_six = $settings['title_content6'];
        $content_array_seven = $settings['title_content7'];
        $content_array_eight = $settings['title_content8'];
        $content_array_nine = $settings['title_content9'];
        $content_array_ten = $settings['title_content10'];
        
        ?>
        <div class="comparisons-table table-responsive">
            <table class="table">
                <thead>
                    <tr>
                    <?php foreach( $title_array as $title ): ?>
                        <th scope="col"><?php echo esc_html( $title['title_text'] ); ?></th>
                    <?php endforeach; ?>
                    </tr>
                </thead>
                
                <tbody>

                    <?php if( $content_array_one): ?>
                        <tr>
                            <?php foreach( $content_array_one as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_two): ?>
                        <tr>
                            <?php foreach( $content_array_two as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_three): ?>
                        <tr>
                            <?php foreach( $content_array_three as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_four): ?>
                        <tr>
                            <?php foreach( $content_array_four as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_five): ?>
                        <tr>
                            <?php foreach( $content_array_five as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_six): ?>
                        <tr>
                            <?php foreach( $content_array_six as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_seven): ?>
                        <tr>
                            <?php foreach( $content_array_seven as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_eight): ?>
                        <tr>
                            <?php foreach( $content_array_eight as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_nine ): ?>
                        <tr>
                            <?php foreach( $content_array_nine as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                    <?php if( $content_array_ten ): ?>
                        <tr>
                            <?php foreach( $content_array_ten as $content ): ?>
                                <?php if( $content['content_type'] == 'text' ): ?>
                                    <td><?php echo esc_html($content['text']);?></td>
                                <?php else: ?>
                                    <td><i class="<?php echo esc_attr($content['icon']); ?> elementor-repeater-item-<?php echo esc_attr( $content['_id'] );?>"></i></td>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </tr>
                    <?php endif; ?>

                </tbody>
            </table>
        </div>
        <?php
	}
	protected function _content_template() {}

}

Plugin::instance()->widgets_manager->register_widget_type( new Tryo_Comparison );