<?php namespace Elementor;

class SendDetails extends Widget_Base{
    public function get_name(){
        return "send-details";
    }
    public function get_title(){
        return "Send Details";
    }
    public function get_icon(){
        return "eicon-form-horizontal";
    }
    public function get_categories(){
        return ['tryo-elements'];
    }

    protected function _register_controls(){

    // Start FAQ Contact Controls
    $this-> start_controls_section(
        'top_content',
        [
            'label'=>esc_html__('Contact Content', 'dasas-toolkit'),
            'tab'=> Controls_Manager::TAB_CONTENT,
        ]
    );
        $this->add_control(
            'userinfo_text',
            [
                'label' => __( 'User Necessary Info', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('User Necessary Info', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'newpayment_text',
            [
                'label' => __( 'Create New Payment', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Create A New Payment', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'sendpayment_text',
            [
                'label' => __( 'Send Payment', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Send Payment', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'recpayment_text',
            [
                'label' => __( 'Receive Payment', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Receive Payment', 'tryo-toolkit'),
            ]
        );
        // user info button
        $this->add_control(
            'userinfo_link_type',
            [
                'label' => esc_html__( 'User Button Link Type', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => [
                    '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                    '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                ], 
            ]
        );

        $this->add_control(
            'userinfo_link_to_page',
            [
                'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => tryo_toolkit_get_page_as_list(),
                'condition' => [
                    'userinfo_link_type' => '1',
                ]
            ]
        );

        $this->add_control(
            'userinfo_external_link',
            [
                'label'=>esc_html__('External Link', 'tryo-toolkit'),
                'type'=>Controls_Manager:: TEXT,
                'condition' => [
                    'userinfo_link_type' => '2',
                ]
            ]
        );
        // Button text one
        $this->add_control(
            'creatpay_link_type',
            [
                'label' => esc_html__( 'Create Link Type', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => [
                    '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                    '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                ], 
            ]
        );

        $this->add_control(
            'creatpay_link_to_page',
            [
                'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => tryo_toolkit_get_page_as_list(),
                'condition' => [
                    'creatpay_link_type' => '1',
                ]
            ]
        );

        $this->add_control(
            'creatpay_external_link',
            [
                'label'=>esc_html__('External Link', 'tryo-toolkit'),
                'type'=>Controls_Manager:: TEXT,
                'condition' => [
                    'creatpay_link_type' => '2',
                ]
            ]
        );

        // sender payment button
        $this->add_control(
            'sendpay_link_type',
            [
                'label' => esc_html__( 'Send Link Type', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => [
                    '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                    '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                ], 
            ]
        );

        $this->add_control(
            'sendpay_link_to_page',
            [
                'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => tryo_toolkit_get_page_as_list(),
                'condition' => [
                    'sendpay_link_type' => '1',
                ]
            ]
        );

        $this->add_control(
            'sendpay_external_link',
            [
                'label'=>esc_html__('External Link', 'tryo-toolkit'),
                'type'=>Controls_Manager:: TEXT,
                'condition' => [
                    'sendpay_link_type' => '2',
                ]
            ]
        );

        // Receiver payment button
        $this->add_control(
            'receivepay_link_type',
            [
                'label' => esc_html__( 'Receive Link Type', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => [
                    '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                    '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                ], 
            ]
        );

        $this->add_control(
            'receivepay_link_to_page',
            [
                'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => tryo_toolkit_get_page_as_list(),
                'condition' => [
                    'receivepay_link_type' => '1',
                ]
            ]
        );

        $this->add_control(
            'receivepay_external_link',
            [
                'label'=>esc_html__('External Link', 'tryo-toolkit'),
                'label_block' => true,
                'type'=>Controls_Manager:: TEXT,
                'condition' => [
                    'receivepay_link_type' => '2',
                ]
            ]
        );
        $this->add_control(
            'sendaccnum',
            [
                'label' => __( 'Sender Account Number', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Sender Account Number', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'sendername',
            [
                'label' => __( 'Name', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Sender Name', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'sendermail',
            [
                'label' => __( 'Sender Email', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Sender Email', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'sendamount',
            [
                'label' => __( 'Sent Amount', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Sent Amount($)', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
            'totaltext',
            [
                'label' => __( 'Total', 'tryo-toolkit' ),
                'label_block' => true,
                'type' => Controls_Manager::TEXT,
                'default' => __('Total', 'tryo-toolkit'),
            ]
        );
        $this->add_control(
			'count',
			[
				'label' => __( 'Per Page Limit', 'tryo-toolkit' ),
				'type' => Controls_Manager::NUMBER,
				'default' => 10,
			]
        );
        
    $this-> end_controls_section();
    // End Contact Controls   
}
    // Register control section end here

    protected function render() 
    {
        $settings = $this->get_settings_for_display();

        if ( is_user_logged_in() ) {
			
		   //echo "<script>window.open('".site_url()."','_self')</script>";
		} else {
            wp_redirect( home_url( '/' ) );
			exit();
        }

        ob_start();
        
        //  Button Link
        $user_link    = '';
        $creat_link   = '';
        $send_link    = '';
        $receive_link = '';

        if( $settings['userinfo_link_type'] == 1 ){
            $user_link = get_page_link($settings['userinfo_link_to_page']); 
        } else {
            $user_link = $settings['userinfo_external_link'];
        } 
 
        if( $settings['creatpay_link_type'] == 1 ){
            $creat_link = get_page_link($settings['creatpay_link_to_page']); 
        } else {
            $creat_link = $settings['creatpay_external_link'];
        } 
 
        if( $settings['sendpay_link_type'] == 1 ){
            $send_link = get_page_link($settings['sendpay_link_to_page']); 
        } else {
            $send_link = $settings['sendpay_external_link'];
        }
 
        if( $settings['receivepay_link_type'] == 1 ){
            $receive_link = get_page_link($settings['receivepay_link_to_page']); 
        } else {
            $receive_link = $settings['receivepay_external_link'];
        }

        $error      = '';
        $success    = '';

        global $wpdb, $PasswordHash, $current_user, $user_ID, $current_user;
        
        $current_user = wp_get_current_user();

        $current_email  = $current_user->user_email;

        $table_name = $wpdb->prefix . "account_info";

        /* Pagination code */
        $pagenum = isset( $_GET['pagenum'] ) ? absint( $_GET['pagenum'] ) : 1;
        $limit = $settings['count'];
        $offset = ( $pagenum - 1 ) * $limit;

        $total = $wpdb->get_var("SELECT COUNT(id) FROM $table_name ");              

        $num_of_pages = ceil( $total / $limit );

        $sender_sql = $wpdb->get_results("SELECT cus_accnum, cus_name, cus_email, transfer_amount FROM $table_name WHERE sender_id=$current_user->ID ORDER BY id DESC LIMIT $offset, $limit"  );

        $rowcount = $wpdb->num_rows;
        /* End Pagination code */

        //$sender_sql = $wpdb->get_results("SELECT cus_accnum, cus_name, cus_email, transfer_amount FROM $table_name WHERE sender_id=$current_user->ID ORDER BY id DESC"  );

        ?>
        <div class="send-section ptb-70">
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 col-md-4">
                        <ul class="payments-buttons">
                            <li>
                                <a href="<?php echo esc_url($user_link); ?>">
                                    <?php echo esc_html($settings['userinfo_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo esc_url($creat_link); ?>">
                                    <?php echo esc_html($settings['newpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>

                            <li class="active">
                                <a href="<?php echo esc_url($send_link); ?>">
                                    <?php echo esc_html($settings['sendpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo esc_url($receive_link); ?>">
                                    <?php echo esc_html($settings['recpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-lg-8 col-md-8">
                        <div class="send-table">
                            <div class="table-responsive">
                                <table id="outbreakTable" class="table table-striped table-bordered">
                                    <thead>
                                        <tr>
                                            <th><?php echo esc_html($settings['sendaccnum']); ?></th>
                                            <th><?php echo esc_html($settings['sendername']); ?></th>
                                            <th><?php echo esc_html($settings['sendermail']); ?></th>
                                            <th><?php echo esc_html($settings['sendamount']); ?></th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                    <?php $sum = 0;
                                    foreach ($sender_sql as $sender) {
                                        $sum +=  $sender->transfer_amount;
                                    } ?>
                                        <tr>
                                            <th><?php echo esc_html($settings['totaltext']); ?></th>
                                            <th></th>
                                            <th></th>
                                            <th><?php echo esc_html( $sum ); ?></th>
                                        </tr>
                                    </tfoot>
                                    <tbody>
                                        <?php if($rowcount ) { 
                                            $i = 1;
                                            foreach ($sender_sql as $sender_sql) { 
                                                //if( $i == 5 ){ break; } 
                                            ?>
                                            <tr>
                                                <td><?php echo esc_html( $sender_sql->cus_accnum); ?></td>
                                                <td><?php echo esc_html( $sender_sql->cus_name); ?></td>
                                                <td><?php echo esc_html( $sender_sql->cus_email); ?></td>
                                                <td><?php echo esc_html( $sender_sql->transfer_amount); ?></td>
                                            </tr>
                                            <?php 
                                            $i++; }
                                        } ?>
                                    </tbody>
                                </table>
                            </div>
                            <?php
                            if( $rowcount != 0 ) {
                                $page_links = paginate_links( array(
                                    'base' => add_query_arg( 'pagenum', '%#%' ),
                                    'format' => '',
                                    'prev_text' => __( '&laquo;', 'tryo-toolkit' ),
                                    'next_text' => __( '&raquo;', 'tryo-toolkit' ),
                                    'total' => $num_of_pages,
                                    'current' => $pagenum
                                ) );

                                if ( $page_links ) {
                                    echo '<div class="pagination-area">
                                    <nav aria-label="navigation">' . $page_links . '</nav></div>';
                                }
                            }
                            ?>
                        </div>
					</div>
                </div>
            </div>
        </div>

    <?php    
    }

    protected function _content_template() {}
}
Plugin::instance()->widgets_manager->register_widget_type( new SendDetails );