<?php
/**
 * The template for displaying search results pages
 * @package tryo
 */
get_header();

// Blog Sidebar
if(isset($tryo_opt['blog_sidebar'])) {
    if( $tryo_opt['blog_sidebar'] == 'without_sidebar_center' ):
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $tryo_opt['blog_sidebar'] == 'without_sidebar' ):
        $sidebar = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'sidebar-1' ) ):
            $sidebar = 'col-lg-8 col-md-12';
        else:
            $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $tryo_opt['blog_sidebar'];
} else {
    if( is_active_sidebar( 'sidebar-1' ) ):
        $sidebar = 'col-lg-8 col-md-12';
        $sidebar_hide = 'with_sidebar';
    else:
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'without_sidebar';
    endif;
}

// Banner Image
if(isset($tryo_opt['blog_page_bg'])) {
    $bg  = $tryo_opt['blog_page_bg']['url'];
} else {
    $bg  = '';
}
?>
    <div class="page-title-area item-bg1 jarallax" data-jarallax='{"speed": 0.3}' style="background-image:url(<?php echo esc_url( $bg ); ?>);">
        <div class="container">
            <div class="page-title-content">
                <h2><?php printf( esc_html__( 'Search Results for: %s', 'tryo' ), '<span>' . get_search_query() . '</span>' ); ?></h2>
            </div>
        </div>
    </div>

<!-- Start Blog Area -->
<div class="blog-area ptb-70">
    <div class="container">
        <div class="row">
            <!-- Start Blog Content -->
            <div class="<?php echo esc_attr( $sidebar ); ?>">
                <?php
                if ( have_posts() ) :
                    while ( have_posts() ) :
                        the_post();
                        get_template_part( 'template-parts/content', get_post_format());
                    endwhile;
                else :
                    get_template_part( 'template-parts/content', 'none' );
                endif;
                ?>
        
                <!-- Stat Pagination -->
                <div class="pagination-area">
                    <nav aria-label="navigation">
                    <?php echo paginate_links( array(
                        'format' => '?paged=%#%',
                        'prev_text' => '<i class="fas fa-angle-double-left"></i>',
                        'next_text' => '<i class="fas fa-angle-double-right"></i>',
                            )
                        ) ?>
                    </nav>
                </div>
                <!-- End Pagination -->
            </div>
            <!-- End Blog Content -->
            
            <?php if( $sidebar_hide == 'with_sidebar' ): ?>
                <?php get_sidebar(); ?>
            <?php endif; ?>
        </div>   
    </div>
</div>
<!-- End Blog Area -->
<?php
get_footer();
