<?php global $tryo_opt;
/**
 * The main template file
 * @package tryo
 */
get_header();

$title = get_the_title();

if( $title == '' ):
	$title = esc_html__('No Title', 'tryo');
endif;


// Page Banner Background Image
if(isset($tryo_opt['single_blog_bg'])) {
	$blog_bg = $tryo_opt['single_blog_bg']['url'];
}else{
	$blog_bg = "";
}

// Blog Sidebar
if(isset($tryo_opt['blog_sidebar'])) {
    if( $tryo_opt['blog_sidebar'] == 'without_sidebar_center' ):
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $tryo_opt['blog_sidebar'] == 'without_sidebar' ):
        $sidebar = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'sidebar-1' ) ):
            $sidebar = 'col-lg-8 col-md-12';
        else:
            $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $tryo_opt['blog_sidebar'];
} else {
    if( is_active_sidebar( 'sidebar-1' ) ):
        $sidebar = 'col-lg-8 col-md-12';
        $sidebar_hide = 'with_sidebar';
    else:
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'without_sidebar';
    endif;
}

if( isset( $tryo_opt['enable_lazyloader'] ) ):
    $is_lazyloader = $tryo_opt['enable_lazyloader'];
else:
    $is_lazyloader = true;
endif;

if( $is_lazyloader == true ):
    $lazy_class = 'smartify';
    $lazy_attr = 'sm-';
else:
    $lazy_class = '';
    $lazy_attr = '';
endif;
?>

	<div class="page-title-area item-bg1 jarallax" data-jarallax='{"speed": 0.3}' style="background-image:url(<?php echo esc_url( $blog_bg ); ?>);">
		<div class="container">
			<div class="page-title-content">
				<h2><?php echo esc_html($title); ?></h2>
				<?php if ( function_exists('yoast_breadcrumb') ) {
					yoast_breadcrumb( '<p class="tryo-seo-breadcrumbs" id="breadcrumbs">','</p>' );
				} ?>
			</div>
		</div>
	</div>

	<!-- Start Blog Area -->
	<div class="blog-details-area ptb-70 bg-image">
		<div class="container">
			<div class="row">
				<?php
				while ( have_posts() ) : 
				the_post(); ?>
					<div class="<?php echo esc_attr( $sidebar ); ?>">
						<div class="blog-details">
							
							<?php if(has_post_thumbnail()) { ?>
								<div class="post-image">
									<img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php the_post_thumbnail_url('full') ?>" alt="<?php esc_attr__('blog image', 'tryo')?>">
								</div>
							<?php } ?> 
	
							<div class="blog-details-content">
								<?php if( isset( $tryo_opt['is_post_meta'] ) && $tryo_opt['is_post_meta'] == true ) { ?>
									<div class="blog-meta">
										<ul>
											<li><i class="far fa-user"></i> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>"> <?php the_author() ?></a></li>
											<li><i class="far fa-calendar"></i> <?php echo wp_kses_post(get_the_date('F d, Y')) ?></li>
											<li><i class="far fa-comment"></i> <?php comments_number(); ?></li>
										</ul>
									</div><?php 
            					} ?> 

								<?php the_content(); 
								
								wp_link_pages( array(
									'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'tryo' ),
									'after'  => '</div>',
								) );
								?>

								<?php if ( get_the_tags() ) {  ?>
								<div class="post-tag-media">
									<ul class="tag">
										<li><span><?php echo esc_html_e('Tags:', 'tryo') ?></span></li>
										<?php $tags = get_the_tags();
										foreach ($tags as $tag ) {  ?>
												<li><a href="<?php echo esc_url(get_tag_link($tag->term_id)); ?>">
													<?php echo esc_html($tag->name) ?></a>
												</li>
											<?php
										} ?>
									</ul>
								</div>
								<?php } ?>
							</div>
						</div>
					
						<?php
							// If comments are open or we have at least one comment, load up the comment template.
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
						?>
					</div>
				<?php endwhile; // End of the loop. ?>
				
				<?php if( $sidebar_hide == 'with_sidebar' ): ?>
					<?php get_sidebar(); ?>
				<?php endif; ?>

			</div>
		</div>
	</div>
	<!-- End Blog Area -->

<?php
get_footer();
