<?php global $tryo_opt;
/**
 * @package tryo
 */

if(isset($tryo_opt['blog_sidebar'])) {
   if( $tryo_opt['blog_sidebar'] == 'without_sidebar' ):
        $thumb_size = 'full';
   else:
        $thumb_size = 'tryo_blog_card';
   endif;
}else {
    $thumb_size = 'tryo_blog_card';
}
if( isset( $tryo_opt['enable_lazyloader'] ) ):
    $is_lazyloader = $tryo_opt['enable_lazyloader'];
else:
    $is_lazyloader = true;
endif;

if( $is_lazyloader == true ):
    $lazy_class = 'smartify';
    $lazy_attr = 'sm-';
else:
    $lazy_class = '';
    $lazy_attr = '';
endif;
?>

<div <?php post_class(); ?>>
    <div class="single-blog-post">
        <?php if(has_post_thumbnail()) { ?>
            <div class="blog-image">
                <a href="<?php the_permalink() ?>">
                    <img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php the_post_thumbnail_url($thumb_size) ?>" alt="<?php esc_attr__('blog image', 'tryo')?>">
                </a>
            </div>
        <?php } ?>

        <div class="blog-post-content">

            <?php if( isset( $tryo_opt['is_post_meta'] ) && $tryo_opt['is_post_meta'] == true ) { ?>
                <ul class="entry-meta">
                    <li>
                        <i class="far fa-user"></i>
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ) ?>">
                            <?php the_author() ?>
                        </a>
                    </li>
                    <li>
                        <i class="far fa-calendar"></i>
                        <?php echo wp_kses_post(get_the_date('F d, Y')) ?>
                    </li>
                    <li>
                        <i class="far fa-comment"></i> 
                        <?php comments_number(); ?>
                    </li>
                </ul><?php 
            } ?> 

            <h3><a href="<?php the_permalink() ?>"><?php the_title() ?></a></h3>

            <?php the_excerpt() ?>
            
            <div class="read-more-link-content">
                <a href="<?php the_permalink() ?>" class="btn btn-primary">
                    <?php if(isset($tryo_opt['post_read_more'] ) && !$tryo_opt['post_read_more'] == ''){ echo esc_html($tryo_opt['post_read_more']); }else{ esc_html_e('Read More','tryo'); } ?>
                </a>
            </div>
        </div>
    </div>
</div>
 