<?php namespace Elementor;

class NewPayment extends Widget_Base{
    public function get_name(){
        return "tryonew-payment";
    }
    public function get_title(){
        return "New Payment Form";
    }
    public function get_icon(){
        return "eicon-form-horizontal";
    }
    public function get_categories(){
        return ['tryo-elements'];
    }

    protected function _register_controls(){

        // Start FAQ Contact Controls
        $this-> start_controls_section(
            'top_content',
            [
                'label'=>esc_html__('Contact Content', 'tryo-toolkit'),
                'tab'=> Controls_Manager::TAB_CONTENT,
            ]
        );
            $this->add_control(
                'userinfo_text',
                [
                    'label' => __( 'User Necessary Info', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('User Necessary Info', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'newpayment_text',
                [
                    'label' => __( 'Create New Payment', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Create A New Payment', 'tryo-toolkit'),
                ]
            );
            $this->add_control(
                'sendpayment_text',
                [
                    'label' => __( 'Send Payment', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Send Payment', 'tryo-toolkit'),
                ]
            );
            $this->add_control(
                'recpayment_text',
                [
                    'label' => __( 'Receive Payment', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Receive Payment', 'tryo-toolkit'),
                ]
            );
            // user info button
        $this->add_control(
            'userinfo_link_type',
            [
                'label' => esc_html__( 'User Button Link Type', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => [
                    '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                    '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                ], 
            ]
        );

        $this->add_control(
            'userinfo_link_to_page',
            [
                'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                'type' => Controls_Manager::SELECT,
                'label_block' => true,
                'options' => tryo_toolkit_get_page_as_list(),
                'condition' => [
                    'userinfo_link_type' => '1',
                ]
            ]
        );

        $this->add_control(
            'userinfo_external_link',
            [
                'label'=>esc_html__('External Link', 'tryo-toolkit'),
                'type'=>Controls_Manager:: TEXT,
                'condition' => [
                    'userinfo_link_type' => '2',
                ]
            ]
        );
            // Button text one
            $this->add_control(
                'creatpay_link_type',
                [
                    'label' => esc_html__( 'Create Link Type', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => [
                        '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                        '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                    ], 
                ]
            );

            $this->add_control(
                'creatpay_link_to_page',
                [
                    'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => tryo_toolkit_get_page_as_list(),
                    'condition' => [
                        'creatpay_link_type' => '1',
                    ]
                ]
            );

            $this->add_control(
                'creatpay_external_link',
                [
                    'label'=>esc_html__('External Link', 'tryo-toolkit'),
                    'type'=>Controls_Manager:: TEXT,
                    'condition' => [
                        'creatpay_link_type' => '2',
                    ]
                ]
            );

            // sender payment button
            $this->add_control(
                'sendpay_link_type',
                [
                    'label' => esc_html__( 'Send Link Type', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => [
                        '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                        '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                    ], 
                ]
            );

            $this->add_control(
                'sendpay_link_to_page',
                [
                    'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => tryo_toolkit_get_page_as_list(),
                    'condition' => [
                        'sendpay_link_type' => '1',
                    ]
                ]
            );

            $this->add_control(
                'sendpay_external_link',
                [
                    'label'=>esc_html__('External Link', 'tryo-toolkit'),
                    'type'=>Controls_Manager:: TEXT,
                    'condition' => [
                        'sendpay_link_type' => '2',
                    ]
                ]
            );

            // Receiver payment button
            $this->add_control(
                'receivepay_link_type',
                [
                    'label' => esc_html__( 'Receive Link Type', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => [
                        '1'  => esc_html__( 'Link To Page', 'tryo-toolkit' ),
                        '2' => esc_html__( 'External Link', 'tryo-toolkit' ),
                    ], 
                ]
            );

            $this->add_control(
                'receivepay_link_to_page',
                [
                    'label' => esc_html__( 'Link Page', 'tryo-toolkit' ),
                    'type' => Controls_Manager::SELECT,
                    'label_block' => true,
                    'options' => tryo_toolkit_get_page_as_list(),
                    'condition' => [
                        'receivepay_link_type' => '1',
                    ]
                ]
            );

            $this->add_control(
                'receivepay_external_link',
                [
                    'label'=>esc_html__('External Link', 'tryo-toolkit'),
                    'label_block' => true,
                    'type'=>Controls_Manager:: TEXT,
                    'condition' => [
                        'receivepay_link_type' => '2',
                    ]
                ]
            );

            $this->add_control(
                'rec_accnum_placeholder',
                [
                    'label' => __( 'Receiver Account Number Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Receiver Account Number', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'rname_placeholder',
                [
                    'label' => __( 'Receiver Name Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Receiver Name', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'bankname_placeholder',
                [
                    'label' => __( 'Bank Name Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Bank Name', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'remail_placeholder',
                [
                    'label' => __( 'Receiver Email Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Receiver Email', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'cusaccnum_placeholder',
                [
                    'label' => __( 'Customer Account Number Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Customer A/N', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'cusname_placeholder',
                [
                    'label' => __( 'Customer Name Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Customer Name', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'cusemail_placeholder',
                [
                    'label' => __( 'Customer Email Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Customer Email', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'amount_placeholder',
                [
                    'label' => __( 'Transfer Amount Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Transfer Amount', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'remark',
                [
                    'label' => __( 'Remark Placeholder', 'tryo-toolkit' ),
                    'label_block' => true,
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Remark', 'tryo-toolkit'),
                ]
            );

            $this->add_control(
                'send_button_text',
                [
                    'label' => __( 'Send Button Text', 'tryo-toolkit' ),
                    'type' => Controls_Manager::TEXT,
                    'default' => __('Send', 'tryo-toolkit'),
                ]
            );
        $this-> end_controls_section();
    // End Contact Controls

    // Start Contact Style
    $this-> start_controls_section(
        'contact_style',
        [
            'label'=>esc_html__('Content', 'tryo-toolkit'),
            'tab'=> Controls_Manager::TAB_STYLE,
        ]
    );

    $this-> end_controls_section();   
}
    // Register control section end here

    protected function render() 
    {
        $settings = $this->get_settings_for_display();
        if ( is_user_logged_in() ) {
			
        } else {
            wp_redirect( home_url( '/' ) );
            exit();
        }
        //  Button Link
        $user_link    = '';
        $creat_link   = '';
        $send_link    = '';
        $receive_link = '';

        if( $settings['userinfo_link_type'] == 1 ){
            $user_link = get_page_link($settings['userinfo_link_to_page']); 
        } else {
            $user_link = $settings['userinfo_external_link'];
        }

        if( $settings['creatpay_link_type'] == 1 ){
            $creat_link = get_page_link($settings['creatpay_link_to_page']); 
        } else {
            $creat_link = $settings['creatpay_external_link'];
        } 

        if( $settings['sendpay_link_type'] == 1 ){
            $send_link = get_page_link($settings['sendpay_link_to_page']); 
        } else {
            $send_link = $settings['sendpay_external_link'];
        }

        if( $settings['receivepay_link_type'] == 1 ){
            $receive_link = get_page_link($settings['receivepay_link_to_page']); 
        } else {
            $receive_link = $settings['receivepay_external_link'];
        }

        $error      = '';
        $success    = '';

        global $wpdb, $PasswordHash, $current_user, $user_ID, $current_user;
        
        $current_user = wp_get_current_user();

        $current_email  = $current_user->user_email;

        if ( is_user_logged_in() ) {

            $current_accnum  = get_user_meta( $current_user->ID, 'acc_number' , true );
            $current_name    = get_user_meta( $current_user->ID, 'first_name' , true );

            $sender_id = $current_user->ID;

            if ( ! empty( $current_accnum ) ) {
                $current_accnum = $current_accnum;
            } else {
                $current_accnum = '';
            }

            if ( ! empty( $current_name ) ) {
                $current_name = $current_name;
            } else {
                $current_name = '';
            }
        } else {
            $current_accnum = '';
            $current_name = '';
        }

        if(isset($_POST['submit']) ) {
            if ( is_user_logged_in() ) {
                $raccnum   = trim($_POST['receiver_accnum']);
                $bankname  = trim($_POST['bankname']);
                $rname     = sanitize_text_field($_POST['receiver_name']);
                $remail    = trim($_POST['receiver_email']);
                $cusaccnum = trim($_POST['cus_accnum']);
                $cusname   = sanitize_text_field($_POST['cus_name']);
                $cusemail  = trim($_POST['cus_email']);
                $amount    = trim($_POST['transfer_amount']);
                $remark    = sanitize_text_field($_POST['remark']);

                $table_name = $wpdb->prefix . "account_info";

                $user_table_name = $wpdb->prefix . "users";

                $user_sql = $wpdb->get_results("SELECT user_nicename, user_email, meta_value FROM $user_table_name INNER JOIN {$wpdb->usermeta} ON ({$wpdb->users}.ID = {$wpdb->usermeta}.user_id) WHERE 1=1 AND {$wpdb->users}.user_nicename = '$rname' AND {$wpdb->usermeta}.meta_key = 'acc_number'"  );

                foreach ($user_sql as $user_sql) {
                    $receiver_name = $user_sql->user_nicename;
                    $receiver_email = $user_sql->user_email;
                    $receiver_accnumber = $user_sql->meta_value;
                }

                if( ($receiver_name != $rname) || ($receiver_email != $remail) || ($receiver_accnumber != $raccnum) ) {
                    $error = esc_html__("Receiver email or account number didn't match","tryo-toolkit");
                } else {

                    $receiver_sql = $wpdb->get_results("SELECT user_id FROM wp_usermeta WHERE meta_value='$raccnum'");
                    foreach ($receiver_sql as $receiver_sql) {
                        $receiver_id = $receiver_sql->user_id;
                    }

                    $sql = $wpdb->query("INSERT INTO $table_name (receiver_accnum,receiver_name,receiver_email,cus_accnum,cus_name,cus_email,transfer_amount, remark, sender_id, receiver_id, bankname) VALUES ('$raccnum','$rname','$remail','$cusaccnum','$cusname','$cusemail','$amount','$remark','$sender_id','$receiver_id', '$bankname')"  );

                    if($sql) {
                        $success = esc_html__("Your information submitted successfully","tryo-toolkit");
                    }
                }
            } else {
                $error = esc_html__("You have to login","tryo-toolkit");
            } 
        }

        ?>

        <div class="profile-section ptb-70">
            <div class="container">
                <div class="row">

                    <div class="col-lg-5 col-md-5">
                        <ul class="payments-buttons">
                            <li>
                                <a href="<?php echo esc_url($user_link); ?>">
                                    <?php echo esc_html($settings['userinfo_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>
                            <li class="active">
                                <a href="<?php echo esc_url($creat_link); ?>">
                                    <?php echo esc_html($settings['newpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo esc_url($send_link); ?>">
                                    <?php echo esc_html($settings['sendpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo esc_url($receive_link); ?>">
                                    <?php echo esc_html($settings['recpayment_text']); ?>
                                    <i class="fa fa-arrow-circle-right pull-right"></i>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <div class="col-lg-7 col-md-7">
                        <div class="contact-form">
                            <form method="post" autocomplete="off">

                                <div class="alert alert-warning" role="alert">
                                    <?php echo esc_html__( "This form is used for a test purpose. If you want to send payment using payment gateway you need to do this by own.", "tryo-toolkit" ); ?>
                                </div>

                                <div id="message">
                                    <?php if ( isset( $error ) && $error != '' ) { ?>
                                        <div class="alert alert-danger" role="alert">
                                            <?php echo esc_html( $error ); ?>
                                        </div> <?php
                                    } ?>

                                    <?php if ( isset( $success ) && $success != '' ) { ?>
                                        <div class="alert alert-success" role="alert">
                                            <?php echo esc_html( $success ); ?>
                                        </div> <?php
                                    } ?>
                                </div>

                                <div class="form-group">
                                    <?php echo all_user_list(); ?>
                                </div>

                                <div class="form-group">
                                    <input type="text" name="bankname" class="form-control" placeholder="<?php echo esc_attr( $settings['bankname_placeholder'] ); ?>" required="required">
                                </div>

                                <div class="form-group">
                                    <input type="text" id="receiver_accnum" name="receiver_accnum" placeholder="<?php echo esc_attr( $settings['rec_accnum_placeholder'] ); ?>" class="form-control" required="required">
                                </div>

                                <div class="form-group">
                                    <input type="email" name="receiver_email" placeholder="<?php echo esc_attr( $settings['remail_placeholder'] ); ?>" class="form-control" required="required">
                                </div>

                                <div class="form-group">
                                    <input type="text" value="<?php echo esc_html( $current_accnum ); ?>" name="cus_accnum" placeholder="<?php echo esc_attr( $settings['cusaccnum_placeholder'] ); ?>" class="form-control" required="required" readonly="readonly">
                                </div>

                                <div class="form-group">
                                    <input type="text" name="cus_name" value="<?php echo esc_html( $current_name ); ?>" placeholder="<?php echo esc_attr( $settings['cusname_placeholder'] ); ?>" class="form-control" required="required" readonly="readonly">
                                </div>

                                <div class="form-group">
                                    <input type="email" value="<?php echo esc_html( $current_email ); ?>" name="cus_email" placeholder="<?php echo esc_attr( $settings['cusemail_placeholder'] ); ?>" class="form-control" required="required" readonly="readonly">
                                </div>

                                <div class="form-group">
                                    <input type="number" name="transfer_amount" placeholder="<?php echo esc_attr( $settings['amount_placeholder'] ); ?>" class="form-control"  required="required">
                                </div>

                                <div class="form-group">
                                    <input type="text" name="remark" placeholder="<?php echo esc_attr( $settings['remark'] ); ?>" class="form-control" required="required">
                                </div>

                                <button type="submit" name="submit" class="btn btn-primary"> <?php echo esc_html( $settings['send_button_text'] ); ?> </button>

                            </form>
                        </div>
					</div>
                </div>
            </div>
        </div>

    <?php    
    }

    protected function _content_template() {}
}
Plugin::instance()->widgets_manager->register_widget_type( new NewPayment );