<?php global $tryo_opt;
/**
 * The template for displaying the footer
 *
 * @package Tryo
 */

	if ( !is_active_sidebar( 'footer-1' ) && !is_active_sidebar( 'footer-2' ) && !is_active_sidebar( 'footer-3' ) ) { 
		$tryo_footer_class = 'footer-p';
	}else {
		$tryo_footer_class = '';
	}

	if( isset( $tryo_opt['enable_lazyloader'] ) ):
		$is_lazyloader = $tryo_opt['enable_lazyloader'];
	else:
		$is_lazyloader = true;
	endif;
	
	if( $is_lazyloader == true ):
		$lazy_class = 'smartify';
		$lazy_attr = 'sm-';
	else:
		$lazy_class = '';
		$lazy_attr = '';
	endif;
?>
	<footer class="footer-area <?php if( !$tryo_footer_class == '' ): echo esc_attr( $tryo_footer_class ); endif; ?>"><!-- Start Footer Area -->
		<div class="container">
			<div class="row">
				<div class="col-lg-3 col-sm-6 col-md-6">
					<div class="single-footer-widget">
						<div class="logo">
							<a href="<?php echo esc_url( home_url('/')); ?>"><?php tryo_footer_logo(); ?></a>
							<?php if( isset( $tryo_opt['footer_dsc'] ) ): ?>
								<p><?php echo esc_html( $tryo_opt['footer_dsc'] ); ?></p>
							<?php endif; ?>
						</div>
						
						<?php tryo_social_link(); ?>
					</div>
				</div>

				<div class="col-lg-3 col-sm-6 col-md-6">
					<div class="single-footer-widget">
						<?php 
						if ( is_active_sidebar( 'footer-1' ) ) { 
							dynamic_sidebar('footer-1'); 
						} 
						?>
					</div>
				</div>

				<div class="col-lg-3 col-sm-6 col-md-6">
					<div class="single-footer-widget">
						<?php 
							if ( is_active_sidebar( 'footer-2' ) ) { 
								dynamic_sidebar('footer-2'); 
						} ?>
					</div>
				</div>

				<div class="col-lg-3 col-sm-6 col-md-6">
					<div class="single-footer-widget">
						<?php 
						if ( is_active_sidebar( 'footer-3' ) ) { 
							dynamic_sidebar('footer-3'); 
						} ?>
					</div>
				</div>
			</div>

			<?php if(isset($tryo_opt['copyright_text']) ) { ?>
				<div class="copyright-area">
					<p><?php 
						if(isset($tryo_opt['copyright_text']) && $tryo_opt['copyright_text']){
							echo wp_kses_post($tryo_opt['copyright_text']);
						} ?>
					</p>
				</div>
			<?php } ?>
		</div>
		
		<?php if(isset($tryo_opt['enable_footer_bg']) && $tryo_opt['enable_footer_bg'] == true ): ?>
			<div class="map-image"><img class="<?php echo esc_attr($lazy_class); ?>" <?php echo esc_attr($lazy_attr); ?>src="<?php echo esc_url( get_template_directory_uri() .'/assets/img/map.png' ) ?>" alt="<?php echo esc_attr__( 'Map', 'tryo' ); ?>"></div>
		<?php endif; ?> 
		
	</footer><!-- End Footer Area -->

	<?php if(isset($tryo_opt['enable_back_to_top']) && $tryo_opt['enable_back_to_top'] == true ): ?>
		<div class="go-top"><i class="fas fa-arrow-up"></i></div>
	<?php endif; ?>


	<!-- <div class="et-demo-options-toolbar">
	<?php
		global $wp;
		$current_url = home_url(add_query_arg(array(), $wp->request));
		?>
		<?php if( tryo_rtl() == true ): ?>
			<a href="<?php echo esc_url( $current_url ); ?>" class="hint--bounce hint--left hint--black" id="toggle-quick-options" aria-label="LTR Demo">
				<i class="fa fa-align-left"></i>
			</a>
		<?php else: ?>
			<a href="<?php echo esc_url( $current_url ); ?>/?rtl=enable" class="hint--bounce hint--left hint--black" id="toggle-quick-options" aria-label="RTL Demo">
				<i class="fa fa-align-right"></i>
			</a>
		<?php endif; ?>
		<a href="mailto:hello@envytheme.com" target="_blank" rel="nofollow" class="hint--bounce hint--left hint--black" aria-label="Reach Us">
			<i class="fa fa-life-ring"></i>
		</a>
		<a href="https://docs.envytheme.com/docs/tryo-theme-documentation/" target="_blank" rel="nofollow" class="hint--bounce hint--left hint--black" aria-label="Documentation">
			<i class="fa fa-book"></i>
		</a>
		<a href="https://1.envato.market/ZGRV0" target="_blank" rel="nofollow" class="hint--bounce hint--left hint--black" aria-label="Purchase Tryo">
			<i class="fa fa-shopping-cart"></i>
		</a>
	</div> -->

<?php wp_footer(); ?>

</body>
</html>
