<?php
/**
 * Register custom style.
 */

if ( ! function_exists( 'tryo_custom_style' ) ) {
    function tryo_custom_style(){
        
        $custom_style ='';
            global $tryo_opt;

            if( isset( $tryo_opt['primary_color'] ) ):
                $primary_color              = $tryo_opt['primary_color'];
                $secondary_color            = $tryo_opt['secondary_color'];
                $primary_gradient_form      = $tryo_opt['primary_color_gradient']['from'];
                $primary_gradient_to        = $tryo_opt['primary_color_gradient']['to'];
                $secondary_gradient_form    = $tryo_opt['secondary_color_gradient']['from'];
                $secondary_gradient_to      = $tryo_opt['secondary_color_gradient']['to'];
                $footer_bg                  = $tryo_opt['footer_bg'];
                $header_bg                  = $tryo_opt['header_bg'];
                $nav_item                   = $tryo_opt['nav_item'];
                $nav_item_color             = $tryo_opt['nav_item_color'];
                $paragraph_color            = $tryo_opt['paragraph_color'];
                $preloader_gradient_from    = $tryo_opt['preloader_bgcolor_gradient']['from'];
                $preloader_gradient_to      = $tryo_opt['preloader_bgcolor_gradient']['to'];
                $preloader_bg               = $tryo_opt['preloader_bgcolor'];
                $top_header_bg              = $tryo_opt['top_header_bg'];
                $top_header_text            = $tryo_opt['top_header_text_color'];
            else:   
                $primary_color              = '#ee0979';
                $secondary_color            = '#44ce6f';
                $primary_gradient_form      = '#ee0979';
                $primary_gradient_to        = '#ff6a00 ';
                $secondary_gradient_form    = '#23bdb8';
                $secondary_gradient_to      = '#43e794 ';
                $footer_bg                  = '#070d13';
                $header_bg                  = '#fff';
                $nav_item                   = '#0e314c';
                $nav_item_color             = '#fff';
                $paragraph_color            = '#57647c';
                $preloader_gradient_from    = '#ee0979';
                $preloader_gradient_to      = '#ff6a00 ';
                $preloader_bg               = '#44ce6f ';
                $top_header_bg              = '#44ce6f';
                $top_header_text            = '#ffffff';
            endif;

            $custom_style .='
            .comparisons-table table tbody td i, .single-information-box .icon, .login-content .login-form form .connect-with-social button:hover, .signup-content .signup-form form .connect-with-social button:hover, .single-footer-widget .social-links li a:hover, .post-tag-media ul li a:hover, #comments .comment-list .comment-body .reply a:hover, .comment-respond .form-submit input, .wp-block-button .wp-block-button__link, .payments-buttons li.active a, .elementor-accordion .elementor-accordion-item .elementor-accordion-icon, .single-payment-experience-box:hover .icon::before, .col-lg-3:nth-child(2) .single-payment-experience-box:hover .icon::before, .col-lg-3:nth-child(3) .single-payment-experience-box:hover .icon::before, .col-lg-3:nth-child(4) .single-payment-experience-box:hover .icon::before, .success-story-inner .owl-theme .owl-nav [class*=owl-]:hover { background-color: '.esc_attr($primary_color).';}

            .widget-area .widget_recent_entries ul li::before, .widget-area .widget_recent_comments ul li::before, .widget-area .widget_archive ul li::before, .widget-area .widget_categories ul li::before, .widget-area .widget_meta ul li::before, .faq-accordion .accordion .accordion-title i, .blog-sidebar .widget .widget-title::before, .blog-sidebar .widget ul li::before, .blog-sidebar .tagcloud a:hover, .comment-respond .comment-reply-title::before, .page-links .post-page-numbers:hover, .page-links .current, .post-password-form input[type="submit"], .comment-navigation .nav-links .nav-previous a:hover, .comment-navigation .nav-links .nav-next a:hover, .footer-area .single-footer-widget h3::before, .footer-area .single-footer-widget ul li::before, .footer-area .tagcloud a:hover, .wp-block-file .wp-block-file__button, .footer-area .logo h2::before { background: '.esc_attr($primary_color).';}

            .luvion-nav .navbar .navbar-nav .nav-item a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a, .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .luvion-nav .navbar .others-options .login-btn:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item:hover a, .navbar-area.is-sticky , .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .navbar-area.is-sticky .luvion-nav .navbar .others-options .login-btn i, .navbar-area.is-sticky .luvion-nav .navbar .others-options .login-btn:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item:hover a, .navbar-area.navbar-style-two , .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:hover, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a:focus, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li a.active, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .navbar-area.navbar-style-two .luvion-nav .others-options .login-btn:hover, .money-transfer-form form .form-group .nice-select .list .option:hover, .money-transfer-form form .terms-info p a:hover, .about-content span, .overview-box .overview-content .content .sub-title, .overview-box .overview-content .content .services-list li span i, .single-features-box .icon, .single-features-box:hover .icon, .features-box .icon, .features-box:hover .icon, .single-pricing-box .pricing-features li i, .funfact h3, .page-title-text ul li, .widget-area .widget_recent_entries ul li a:hover, .widget-area .widget_recent_comments ul li a:hover, .widget-area .widget_archive ul li a:hover, .widget-area .widget_categories ul li a:hover, .widget-area .widget_meta ul li a:hover, .login-content .login-form form .forgot-password a, .login-content .login-form form .connect-with-social button, .signup-content .signup-form form .connect-with-social button, .contact-info ul li a:hover, .single-footer-widget .list li a:hover, .single-footer-widget .footer-contact-info li a:hover, .copyright-area p a:hover, .single-blog-post .blog-post-content h3 a:hover, .single-blog-card .blog-post-content .read-more-btn:hover, .single-blog-card .blog-post-content ul.entry-meta li i, .sticky .single-blog-post .blog-post-content .read-more-btn:hover, .sticky .single-blog-post .blog-post-content .read-more-btn:focus, .sticky .single-blog-post .blog-post-content h3 a:hover, .sticky .single-blog-post .blog-post-content ul.entry-meta li i, ul.entry-meta li i, .blog-sidebar .widget ul li a:hover, .blog-sidebar .calendar_wrap table th a, .blog-sidebar .calendar_wrap table td a, .blog-sidebar .widget_recent_comments .recentcomments a:hover, .blog-sidebar .widget_recent_entries ul li a:hover, .blog-details .blog-meta ul li i, .blog-details .blog-details-content p a, .blog-details .blog-details-content ol li a, table td a, table th a, .footer-area .calendar_wrap table #today, .footer-area .calendar_wrap table #prev a, .footer-area .calendar_wrap table #next a, .footer-area .widget_recent_comments .recentcomments .comment-author-link a:hover, .footer-area .widget_recent_comments .recentcomments a:hover, .single-footer-widget .footer-contact-info li i, .single-team-member .member-image .social li a i:hover, .blog-details .blog-details-content ul li a, .page-main-content .entry-content a, .comment-respond p.logged-in-as a, .blog-details .blog-details-content p a, .blog-details .blog-details-content dd a, .single-blog-post-box .entry-meta li a:hover, .single-blog-post-box .blog-post-content h3 a:hover, .blog-sidebar .widget_rss ul li .rss-date, .wp-block-image figcaption a, .wp-caption .wp-caption-text a, .widget_tryo_posts_thumbs .item .info .title a:hover, .footer-area .single-footer-widget ul li a:hover, .footer-area .widget_rss ul li .rss-date, .luvion-responsive-nav .luvion-responsive-menu.mean-container .mean-nav ul li.active > a, .payment-experience-content .link-btn, .payment-features-overview .payment-features-content .content .link-btn  { color: '.esc_attr($primary_color).'; }

            .luvion-nav .navbar .navbar-nav > .nav-item.active > a { border-bottom: 1px solid '.esc_attr( $primary_color ).'; }
     

            @media only screen and (max-width: 991px) {
                .luvion-responsive-nav .luvion-responsive-menu.mean-container .mean-nav ul li a.active, .luvion-responsive-nav .others-options .login-btn:hover, .navbar-area.is-sticky .luvion-responsive-nav .others-options .login-btn i, .navbar-area.is-sticky .luvion-responsive-nav .others-options .login-btn:hover, .navbar-area.navbar-style-two .luvion-responsive-nav .others-options .login-btn i, .navbar-area.navbar-style-two .luvion-responsive-nav .others-options .login-btn:hover { color: '.esc_attr($primary_color).';}
            }

            .ready-to-talk-content .btn-primary:hover, .ready-to-talk-content .btn-primary:focus, .single-footer-widget .social-links li a, .blog-details .blog-meta ul li a:hover, .is-style-outline .wp-block-button__link { color: '.esc_attr($primary_color).' !important; }
            
            .form-control:focus, .feedback-slides .client-thumbnails .next-arrow:hover, .feedback-slides .client-thumbnails .prev-arrow:hover, .widget-area .widget_search form .search-field:focus, .widget-area .tagcloud a:hover, .widget-area .tagcloud a:focus, .login-content .login-form form .connect-with-social button:hover, .signup-content .signup-form form .connect-with-social button:hover, .single-footer-widget .social-links li a:hover, .post-tag-media ul li a:hover, #comments .comment-list .comment-body .reply a:hover, .is-style-outline .wp-block-button__link, .footer-area .tagcloud a:hover, blockquote, .login-content .login-form form .connect-with-social button, .signup-content .signup-form form .connect-with-social button, .luvion-nav .navbar .navbar-nav .nav-item a:hover { border-color: '.esc_attr($primary_color).'; } 
 

            .single-features-box .icon.bg-cdf1d8, .features-box .icon.bg-cdf1d8, .page-title-text ul li a:hover, .feedback-slides .client-feedback .single-feedback .quote-icon { color: '.esc_attr($secondary_color).'; }

            .section-title .bar::before, .overview-box .overview-content .content .bar::before, .invoicing-content .bar::before, .app-download-content .bar::before, .faq-content .bar::before { background: '.esc_attr($secondary_color).'; }

            .contact-info ul li:hover .icon, .feedback-slides .client-feedback .single-feedback .client-img img, .feedback-slides .client-thumbnails .item .img-fill img { border-color: '.esc_attr($secondary_color).'; }

            .btn-primary::before, .money-transfer-form form .form-group, .money-transfer-form form .currency-info .bar, .money-transfer-form form .currency-info .bar::before, .money-transfer-form form .currency-info .bar::after, .money-transfer-form form .btn::after, .hero-image .video-btn::after, .about-image .video-btn::before, .single-featured-box .read-more-btn, .single-featured-box .read-more-btn::before, .overview-box .overview-content .content .services-list li span::before, .comparisons-table table thead tr, .single-features-box::before, .features-box::before, .single-information-box .btn-box .app-store-btn::before, .single-information-box .btn-box .play-store-btn::before, .feedback-slides .client-thumbnails .next-arrow::before, .feedback-slides .client-thumbnails .next-arrow::before, .feedback-slides .client-thumbnails .prev-arrow::before, .feedback-slides .client-thumbnails .prev-arrow::before, .app-download-content .btn-box .app-store-btn::before, .app-download-content .btn-box .play-store-btn::before, .pagination-area .page-numbers::before, .widget-area .widget .widget-title::before, .widget-area .widget_search form button::before, .widget-area .tagcloud a::before, .contact-info ul li .icon::before, .go-top, .blog-sidebar .widget_search form button::before, .no-results form button::before, .footer-area .widget_search form button::before, .single-blog-post-box .blog-image .date, .btn-primary::after, .account-create-area, .single-blog-post .read-more-link-content a, .single-team-member .member-image .social li a i, .single-pricing-box:hover .pricing-header::after, .single-pricing-box.active .pricing-header::after, .single-pricing-box.active .buy-btn .btn-primary::before, .banner-btn .video-btn::after, .global-content ul li::before { background: -webkit-gradient(linear, left top, right top, from('.esc_attr( $primary_gradient_form ).'), to('.esc_attr( $primary_gradient_to ).'));
            background: linear-gradient(90deg, '.esc_attr( $primary_gradient_form ).' 0%, '.esc_attr( $primary_gradient_to ).' 100%); }

            .preloader { background: -webkit-gradient(linear, left top, right top, from('.esc_attr( $preloader_gradient_from ).'), to('.esc_attr( $preloader_gradient_to ).'));
            background: linear-gradient(90deg, '.esc_attr( $preloader_gradient_from ).' 0%, '.esc_attr( $preloader_gradient_to ).' 100%); }
            
            .money-transfer-form form .btn::before, .hero-image .video-btn::before, .about-image .video-btn, .overview-box .overview-content .content .features-list li span i, .single-information-box .btn-box .app-store-btn::after, .single-information-box .btn-box .play-store-btn::after, .app-download-content .btn-box .app-store-btn::after, .app-download-content .btn-box .play-store-btn::after, .account-create-content .btn-primary::before, .widget-area .widget_search form button::after, .contact-info ul li .icon::after, .go-top::before, .blog-sidebar .widget_search form button::after, .no-results form button::after, .footer-area .widget_search form button::after, .banner-btn .video-btn::before {  background: linear-gradient(135deg, '.esc_attr( $secondary_gradient_form ).' 0%, '.esc_attr( $secondary_gradient_to ).' 100%); }
            
            .navbar-area.is-sticky, .navbar-area.is-sticky .luvion-nav { background: '.esc_attr( $header_bg ).' !important; }
            .navbar-area.is-sticky .luvion-nav .navbar .navbar-nav .nav-item a{ color: '.esc_attr( $nav_item  ).'; }
            .luvion-nav .navbar .navbar-nav .nav-item a { color: '.esc_attr( $nav_item_color  ).'; }

            p, .money-transfer-form form .currency-info span, .money-transfer-form form .money-transfer-info, .overview-box .overview-content .content .services-list li span, .overview-box .overview-content .content .features-list li span, .single-pricing-box .pricing-features li, .widget-area .widget_luvion_posts_thumb .item .info time, .widget-area .widget_recent_entries ul li, .widget-area .widget_recent_entries ul li a, .widget-area .widget_recent_entries ul li .post-date, .widget-area .widget_recent_comments ul li a, .widget-area .widget_archive ul li, .widget-area .widget_archive ul li a, .widget-area .widget_categories ul li, .widget-area .widget_categories ul li a, .widget-area .widget_categories ul li .post-count, .widget-area .widget_meta ul li, .widget-area .widget_meta ul li a, .widget-area .tagcloud a, .signup-content .signup-form form .connect-with-social span, .contact-info ul li, .contact-info ul li a, .single-footer-widget .list li a, .single-footer-widget .footer-contact-info li, .single-footer-widget .footer-contact-info li a, .blog-sidebar .widget ul li a, .blog-sidebar .nice-select, .blog-sidebar .tagcloud a, .blog-sidebar .calendar_wrap table th, .blog-sidebar .calendar_wrap table td, .blog-sidebar span.post-count, .blog-details .blog-meta ul li, .blog-details .blog-details-content ul li, .blog-details .blog-details-content ol li, .blog-details .blog-details-content b, .blog-details .blog-details-content strong, .comments-area .comment-metadata, .comments-area .comment-metadata a, .comments-area .comment-respond .comment-form-cookies-consent label, .wp-block-image figcaption, .wp-block-archives-list li a, .wp-block-categories-list li a, .wp-block-video figcaption, pre.wp-block-verse, .footer-area .single-footer-widget table td, .footer-area .single-footer-widget table th, .footer-area .single-footer-widget .item .info .title a, .footer-area .nice-select, .footer-area .nice-select .option, .footer-area .widget_rss ul li .rsswidget, .footer-area .widget_rss ul li .rss-date, .footer-area .widget_rss ul li .rssSummary, .footer-area .widget_rss ul li cite, .footer-area .tagcloud a, .footer-area .widget_text p, .footer-area .calendar_wrap caption, .footer-area .widget_recent_comments .recentcomments .comment-author-link a, .footer-area .widget_recent_comments .recentcomments a, .footer-area .widget_recent_entries ul li a, .footer-area span.post-count { color: '.esc_attr( $paragraph_color ).' }

            .single-products .sale-btn, .single-products .products-image ul li a:hover, .productsQuickView .modal-dialog .modal-content .products-content form button, .productsQuickView .modal-dialog .modal-content button.close:hover, .productsQuickView .modal-dialog .modal-content button.close:hover, .woocommerce ul.products li.product:hover .add-to-cart-btn, .shop-sidebar .widget_product_search form button, .shop-sidebar a.button, .shop-sidebar .woocommerce-widget-layered-nav-dropdown__submit, .shop-sidebar .woocommerce button.button, .woocommerce .widget_price_filter .ui-slider .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .products_details div.product .woocommerce-tabs .panel #respond input#submit, .products_details div.product .product_title::before, .woocommerce #respond input#submit.alt.disabled, .woocommerce #respond input#submit.alt.disabled:hover, .woocommerce #respond input#submit.alt:disabled, .woocommerce #respond input#submit.alt:disabled:hover, .woocommerce #respond input#submit.alt:disabled[disabled], .woocommerce #respond input#submit.alt:disabled[disabled]:hover, .woocommerce a.button.alt.disabled, .woocommerce a.button.alt.disabled:hover, .woocommerce a.button.alt:disabled, .woocommerce a.button.alt:disabled:hover, .woocommerce a.button.alt:disabled[disabled], .woocommerce a.button.alt:disabled[disabled]:hover, .woocommerce button.button.alt.disabled, .woocommerce button.button.alt.disabled:hover, .woocommerce button.button.alt:disabled, .woocommerce button.button.alt:disabled:hover, .woocommerce button.button.alt:disabled[disabled], .woocommerce button.button.alt:disabled[disabled]:hover, .woocommerce input.button.alt.disabled, .woocommerce input.button.alt.disabled:hover, .woocommerce input.button.alt:disabled, .woocommerce input.button.alt:disabled:hover, .woocommerce input.button.alt:disabled[disabled], .woocommerce input.button.alt:disabled[disabled]:hover, .btn-primary:hover, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce .woocommerce-MyAccount-navigation ul .is-active a, .woocommerce .woocommerce-MyAccount-navigation ul li a:hover, .products_details div.product span.sale-btn, .shop-sidebar .tagcloud a:focus, .shop-sidebar .widget_search form button, .shop-sidebar .widget .widget-title::before, .shop-sidebar .widget ul li::before, .shop-sidebar .tagcloud a:hover, .shop-sidebar .tagcloud a:focus { background-color: '.esc_attr($primary_color).'; }
            
            .btn-primary, .btn-primary.disabled, .btn-primary:disabled { background-color: '.esc_attr($secondary_color).'; }

            .productsQuickView .modal-dialog .modal-content .products-content .product-meta span a:hover, .woocommerce ul.products li.product h3 a:hover, .woocommerce ul.products li.product .add-to-cart-btn, .woocommerce div.product .woocommerce-tabs ul.tabs li.active a, .products_details div.product .woocommerce-tabs ul.tabs li a:hover, .products_details div.product .woocommerce-tabs ul.tabs li.active, .products_details div.product .woocommerce-tabs ul.tabs li.active a:hover, .products_details div.product .product_meta span.posted_in a:hover, .products_details div.product .product_meta span.tagged_as a:hover, .products_details div.product span.price, .cart-table table tbody tr td.product-name a, .woocommerce-message::before, .woocommerce-info::before, .shop-sidebar .widget ul li a:hover, .shop-sidebar .widget_rss .widget-title .rsswidget { color: '.esc_attr ($primary_color).'; }

            .woocommerce-info, .woocommerce-message { border-top-color: '.esc_attr ($primary_color).'; }
            .shop-sidebar .widget_shopping_cart .cart_list li a:hover, .shop-sidebar ul li a:hover { color: '.esc_attr ($primary_color).' !important; }
            .woocommerce ul.products li.product:hover .add-to-cart-btn, .form-control:focus, .woocommerce .form-control:focus, .shop-sidebar .tagcloud a:hover, .shop-sidebar .tagcloud a:focus { border-color: '.esc_attr ($primary_color).'; }

            .preloader.preloader-area {background-color: '.esc_attr($preloader_bg).';}

            .top-header  {background-color: '. esc_attr($top_header_bg) .';}

            .top-header .header-left-content p, .top-header .header-right-content ul li, .top-header .header-right-content ul li a, .top-header .header-right-content ul li i  {color: '. esc_attr($top_header_text) .';}

            .footer-area {
                background-color: '.esc_attr( $footer_bg ).'; 
            }';
           
            // Hide Sticky Header
            if(isset($tryo_opt['enable_sticky_header']) && $tryo_opt['enable_sticky_header'] == false){ $custom_style .='
                .navbar-area.is-sticky{
                    display:none !important;
                }';
            }

            // Hide 404 Page Header And Footer
            if( is_404() ): $custom_style .='
            .navbar-area, .footer-area, .top-header {display: none;}';
            endif;

            // Custom Css
            if( isset($tryo_opt['css_code'] ) && !empty($tryo_opt['css_code']) ):
                $custom_style .= $tryo_opt['css_code'];
            endif;

            if( is_user_logged_in() ){ 
                $custom_style .=' .comments-area .comment-respond .form-submit {
                    margin-top: 20px;
                }';
            }

            // Pre-loader image
            $is_preloader       = !empty($tryo_opt['enable_preloader']) ? $tryo_opt['enable_preloader'] : '';
            $preloader_image    = isset( $tryo_opt['preloader_image']['url'] ) ? $tryo_opt['preloader_image']['url'] : get_template_directory_uri() . '/assets/img' .'/status.gif';
            $preloader_style    = !empty( $tryo_opt['preloader_style'] ) ? $tryo_opt['preloader_style'] : 'text';
            if ( $preloader_style == 'image' && $is_preloader == '1' ) {
                $custom_style .= "
                
                .preloader-img {
                    background-image: url(" . esc_url( $preloader_image ) . ");
                    background-repeat: no-repeat;
                    background-position: center;
                }";
            }
            
            wp_add_inline_style('tryo-main-style', $custom_style);

            // Custom Js
            $custom_script ='';
            if( isset($tryo_opt['js_code'] )){
                $custom_script .= $tryo_opt['js_code'];
            }
            
            wp_add_inline_script( 'tryo-main', $custom_script );
    }
}
add_action( 'wp_enqueue_scripts', 'tryo_custom_style' );