<?php 
/**
 * Social Link
 * @package WordPress
 * @subpackage Tryo
*/ 


if ( ! function_exists( 'tryo_social_link' ) ) :
    function tryo_social_link(){ 
        global $tryo_opt;

        if( isset( $tryo_opt['tryo_social_target'] ) ) {
            $target = $tryo_opt['tryo_social_target'];
        }else {
            $target = '_blank';
        }
        ?>
        <ul class="social-links">
            <?php if (isset($tryo_opt['twitter_url'] ) && $tryo_opt['twitter_url']) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['twitter_url']);?>" class="twitter" > <i class="fab fa-twitter"></i></a>
                </li>
            <?php  } ?>


            <?php if (isset($tryo_opt['facebook_url'] ) && $tryo_opt['facebook_url']) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['facebook_url']); ?>" class="facebook"> <i class="fab fa-facebook-f"></i></a>
                </li>
            <?php  } ?>

            <?php if (isset($tryo_opt['instagram_url'] ) && $tryo_opt['instagram_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['instagram_url']); ?>" class="instagram"> <i class="fab fa-instagram"></i></a>
                </li>
            <?php  } ?>

            <?php 
            if (isset($tryo_opt['linkedin_url'] ) && $tryo_opt['linkedin_url'] ) { ?>
            <li>
                <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['linkedin_url']);?>" > <i class="fab fa-linkedin"></i></a>
            </li>
            <?php  } ?>

            <?php 
            if (isset($tryo_opt['pinterest_url'] ) && $tryo_opt['pinterest_url'] ) { ?>
            <li>
                <a target="<?php echo esc_attr($target); ?>" href="<?php echo esc_url($tryo_opt['pinterest_url']);?>" > <i class="fab fa-pinterest"></i></a>
            </li>
            <?php  } ?>

            <?php if (isset($tryo_opt['dribbble_url'] ) && $tryo_opt['dribbble_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php echo esc_url($tryo_opt['dribbble_url']);?>" > <i class="fab fa-dribbble"></i></a>
                </li>
            <?php } ?>

            <?php if (isset($tryo_opt['tumblr_url'] ) && $tryo_opt['tumblr_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['tumblr_url']);?>" > <i class="fab fa-tumblr"></i></a>
                </li>
            <?php } ?>

            <?php 
            if (isset($tryo_opt['youtube_url'] ) && $tryo_opt['youtube_url'] ) { ?>
            <li>
                <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['youtube_url']);?>" > <i class="fab fa-youtube"></i></a>
            </li>
            <?php  } ?>

            <?php if (isset($tryo_opt['flickr_url'] ) && $tryo_opt['flickr_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['flickr_url']);?>" > <i class="fab fa-flickr"></i></a>
                </li>
            <?php } ?>

            <?php if (isset($tryo_opt['behance_url'] ) && $tryo_opt['behance_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['behance_url']);?>" > <i class="fab fa-behance"></i></a>
                </li>
            <?php } ?>

            <?php if (isset($tryo_opt['github_url'] ) &&  $tryo_opt['github_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['github_url']);?>" > <i class="fab fa-github"></i></a>
                </li>
            <?php } ?>

            <?php if (isset($tryo_opt['skype_url'] ) && $tryo_opt['skype_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['skype_url']);?>" > <i class="fab fa-skype"></i></a>
                </li>
            <?php } ?>

            <?php if (isset($tryo_opt['rss_url'] ) && $tryo_opt['rss_url'] ) { ?>
                <li>
                    <a target="<?php echo esc_attr($target); ?>" href="<?php  echo esc_url($tryo_opt['rss_url']);?>" > <i class="fas fa-rss"></i></a>
                </li>
            <?php } ?>
        </ul>
    <?php
    } 
endif; ?>
