<?php
/**
 * The main template file
 * @package tryo
 */
get_header();

// Blog Sidebar
if(isset($tryo_opt['blog_sidebar'])) {
    if( $tryo_opt['blog_sidebar'] == 'without_sidebar_center' ):
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
    elseif( $tryo_opt['blog_sidebar'] == 'without_sidebar' ):
        $sidebar = 'col-lg-12 col-md-12';
    else:
        if( is_active_sidebar( 'sidebar-1' ) ):
            $sidebar = 'col-lg-8 col-md-12';
        else:
            $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        endif;
    endif;
    $sidebar_hide = $tryo_opt['blog_sidebar'];
} else {
    if( is_active_sidebar( 'sidebar-1' ) ):
        $sidebar = 'col-lg-8 col-md-12';
        $sidebar_hide = 'with_sidebar';
    else:
        $sidebar = 'col-lg-8 col-md-12 offset-lg-2';
        $sidebar_hide = 'without_sidebar';
    endif;
}

// Blog title and description
if(isset($tryo_opt['blog_title'])) {
    $title          = $tryo_opt['blog_title'];
    $desc           = $tryo_opt['blog_desc'];
    $bg             = $tryo_opt['blog_page_bg']['url'];
} else {
    $title          = esc_html__('Blog', 'tryo');
    $desc           = esc_html__('Our Latest News', 'tryo');
    $bg             = '';
}
?>

    <!-- Start Page Title Area -->
    <div class="page-title-area item-bg1 jarallax" data-jarallax='{"speed": 0.3}' style="background-image:url(<?php echo esc_url($bg); ?>);">
        <div class="container">
            <div class="page-title-content">
                <h2><?php echo esc_html( $title ); ?></h2>
                <?php if( !$desc == '' ): ?>
                    <p><?php echo esc_html( $desc ); ?></p>
                <?php endif; ?>
                <?php if ( function_exists('yoast_breadcrumb') ) {
                    yoast_breadcrumb( '<p class="tryo-seo-breadcrumbs" id="breadcrumbs">','</p>' );
                } ?>
            </div>
        </div>
    </div>
    <!-- End Page Title Area -->

    <!-- Start Blog Area -->
    <div class="blog-area ptb-70">
        <div class="container">
            <div class="row">
                <!-- Start Blog Content -->
                <div class="<?php echo esc_attr( $sidebar ); ?>">
                    <?php
                    if ( have_posts() ) :
                        while ( have_posts() ) :
                            the_post();
                            get_template_part( 'template-parts/content', get_post_format());
                        endwhile;
                    else :
                        get_template_part( 'template-parts/content', 'none' );
                    endif;
                    ?>
            
                    <!-- Stat Pagination -->
                    <div class="pagination-area">
                        <nav aria-label="navigation">
                        <?php echo paginate_links( array(
                            'format' => '?paged=%#%',
                            'prev_text' => '<i class="fas fa-angle-double-left"></i>',
                            'next_text' => '<i class="fas fa-angle-double-right"></i>',
                                )
                            ) ?>
                        </nav>
                    </div>
                    <!-- End Pagination -->
                </div>
                <!-- End Blog Content -->
                
                <?php if( $sidebar_hide == 'with_sidebar' ): ?>
                    <?php get_sidebar(); ?>
                <?php endif; ?>
            </div>   
        </div>
    </div>
    <!-- End Blog Area -->
<?php
get_footer();
