<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
$pcs = trim( get_option( 'tryo_purchase_code_status' ) );

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

if ( $pcs == 'valid' ) {
	add_action( 'tgmpa_register', 'tryo_register_required_plugins' );
}

if ( ! function_exists( 'tryo_register_required_plugins' ) ) {
	function tryo_register_required_plugins() {

		$plugins = array(
			
			array(
				'name'               => esc_html__('Tryo Toolkit', 'tryo'),
				'slug'               => 'tryo-toolkit',
				'source'             => get_stylesheet_directory() . '/lib/plugins/tryo-toolkit.zip', 
				'required'           => true,
			),

			// Elemantor Page Builder
			array(
				'name'               => esc_html__('Elementor Page Builder', 'tryo'),
				'slug'               => 'elementor',
				'required'           => true,
			),

			// Advanced Custom Fields Pro
			array(
				'name'               => esc_html__('Advanced Custom Fields Pro', 'tryo'),
				'slug'               => 'advanced-custom-fields-pro',
				'source'             => get_stylesheet_directory() . '/lib/plugins/advanced-custom-fields-pro.zip', 
				'required'           => true,
			),

			// Tryo Plugins
			array(
				'name'      => esc_html__('WooCommerce', 'tryo'),
				'slug'      => 'woocommerce',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Contact Form 7', 'tryo'),
				'slug'      => 'contact-form-7',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('Newsletter', 'tryo'),
				'slug'      => 'newsletter',
				'required'  => false,
			),
			array(
				'name'      => esc_html__('One Click Demo Import', 'tryo'),
				'slug'      => 'one-click-demo-import',
				'required'  => false,
			),
		);

		$config = array(
			'id'           => 'tgmpa',
			'default_path' => '',
			'menu'         => 'tgmpa-install-plugins',
			'parent_slug'  => 'themes.php',
			'capability'   => 'edit_theme_options',
			'has_notices'  => true, 
			'dismissable'  => true, 
			'dismiss_msg'  => '',   
			'is_automatic' => false, 
			'message'      => '',                      
		);
		tgmpa( $plugins, $config );
	}
}