<?php
/**
 * The template for displaying all pages
 */

get_header();

/**
 * Page Control
 */
if( function_exists('acf_add_options_page') ) {
	$hide_banner = get_field( 'enable_page_banner' );
	$banner_desc = get_field( 'banner_short_description' );
	$nevbar_style = get_field( 'nevbar_style' );
}else {
	$hide_banner = false;
	$banner_desc = '';
	$nevbar_style = 'style_one';
}

?>
	<?php if( $hide_banner == false ) { ?><!-- Start Page Title Area -->
		<?php if( has_post_thumbnail() || $nevbar_style != 'style_two' ): ?>
			<div class="page-title-area item-bg1 jarallax" data-jarallax='{"speed": 0.3}' style="background-image:url(<?php echo esc_url( get_the_post_thumbnail_url() ); ?>);">
				<div class="container">
					<div class="page-title-content">
						<h2><?php the_title(); ?></h2>
						<?php if( !$banner_desc == '' ): ?>
							<p><?php echo esc_html( $banner_desc ); ?></p>
						<?php endif; ?>
						<?php if ( function_exists('yoast_breadcrumb') ) {
							yoast_breadcrumb( '<p class="tryo-seo-breadcrumbs" id="breadcrumbs">','</p>' );
						} ?>
					</div>
				</div>
			</div>
	<?php elseif( $nevbar_style = 'style_two ' ): ?>
		<div class="page-title-section">
			<div class="container">
				<div class="page-title-text">
					<h2><?php the_title(); ?></h2>
					<?php if( !$banner_desc == '' ): ?>
						<p><?php echo esc_html( $banner_desc ); ?></p>
					<?php endif; ?>

					<ul>
						<li><a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html_e( 'Home', 'tryo' ); ?></a></li>
						<li><?php the_title(); ?></li>
					</ul>
				</div>
			</div>
		</div>
	<?php endif; ?>
	<?php } ?><!-- End Page Title Area -->

	<?php if( !tryo_is_elementor()): ?>
		<div class="page-main-content">
	<?php endif; ?>

		<div class="page-area">
			<?php if( !tryo_is_elementor()): ?>
				<div class="container">
			<?php endif; ?>
				<?php
				while ( have_posts() ) :
					the_post();

					//No Content
					$thecontent = get_the_content();
					if(empty($thecontent)){  ?><div class="tryo-single-blank-page"> </div><?php }

					get_template_part( 'template-parts/content', 'page' );

					// If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) :
						comments_template();
					endif;

				endwhile; // End of the loop.
				?>
		<?php if( !tryo_is_elementor()): ?>
			</div>
		<?php endif; ?>
		</div>
	<?php if( !tryo_is_elementor()): ?>
		</div>
	<?php endif; ?>

<?php
get_footer();
